2008-12-20  steve

	* src/uk/me/parabola/imgfmt/app/trergn/Subdivision.java: Ensure
	  that it is impossible for subdivisions to be too big. They are
	  just limited to the max size if found to be so.

2008-12-16  steve

	* src/uk/me/parabola/mkgmap/Version.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/filters/PolygonSizeSplitterFilter.java:
	  Fix the rounding of the map definition areas (I hope).

2008-12-15  steve

	* src/uk/me/parabola/mkgmap/osmstyle/OverlayReader.java,
	  test/uk/me/parabola/mkgmap/osmstyle/StyledConverterTest.java:
	  Points were not copied when overlays were in use.

2008-12-14  steve

	* mkgmap.ipr, src/uk/me/parabola/mkgmap/combiners/OverviewMap.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMap.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java:
	  Misc: Rearranged overview map classes. Planning to re-work so
	  that it works again.

2008-12-13  steve

	* Makefile, mkgmap.ipr,
	  src/uk/me/parabola/imgfmt/ExitException.java,
	  src/uk/me/parabola/imgfmt/app/BufferedImgFileWriter.java,
	  src/uk/me/parabola/imgfmt/sys/BlockManager.java,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/ExitException.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/general/AreaClipper.java,
	  src/uk/me/parabola/mkgmap/general/Clipper.java,
	  src/uk/me/parabola/mkgmap/general/LevelInfo.java,
	  src/uk/me/parabola/mkgmap/general/LineAdder.java,
	  src/uk/me/parabola/mkgmap/general/NullClipper.java,
	  src/uk/me/parabola/mkgmap/main/AbstractTestMap.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/main/MapMaker.java,
	  src/uk/me/parabola/mkgmap/osmstyle/LineAdder.java,
	  src/uk/me/parabola/mkgmap/osmstyle/OverlayReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/RuleSet.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleImpl.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/GType.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/Osm5MapDataSource.java:
	  Misc: Reorganise the package structure to remove cycles that were
	  introduced in the style system.
	* src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/ExpressionReader.java,
	  test/resources/teststyles/derived,
	  test/resources/teststyles/derived/info,
	  test/resources/teststyles/derived/lines,
	  test/resources/teststyles/derived/version,
	  test/resources/teststyles/simple/lines,
	  test/uk/me/parabola/imgfmt/app/typ/TYPFileTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/ActionReaderTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/RuleFileReaderTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/StyledConverterTest.java:
	  Recognise the match operator, add test for derived styles.
	* src/uk/me/parabola/mkgmap/osmstyle/eval/Op.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/RegexOp.java: Add regex
	  operation for rules files.

2008-12-10  steve

	* resources/styles/noname/lines: The noname style was mostly
	  invisible when in the night-time scheme. So use a different code
	  for named roads.
	* src/uk/me/parabola/imgfmt/app/trergn/Point.java,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/general/AreaClipper.java,
	  src/uk/me/parabola/mkgmap/general/Clipper.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/general/MapPoint.java,
	  src/uk/me/parabola/mkgmap/general/NullClipper.java,
	  src/uk/me/parabola/mkgmap/osmstyle/LineAdder.java,
	  src/uk/me/parabola/mkgmap/osmstyle/OverlayReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/RuleSet.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleImpl.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/GType.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Tags.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/AllElements.java,
	  src/uk/me/parabola/mkgmap/reader/test/TestPoints.java,
	  src/uk/me/parabola/mkgmap/scan/TokenScanner.java,
	  test/resources/teststyles/simple/lines,
	  test/resources/teststyles/simple/overlays,
	  test/uk/me/parabola/mkgmap/osmstyle/ActionReaderTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/StyledConverterTest.java,
	  test/uk/me/parabola/mkgmap/reader/osm/ElementTest.java,
	  test/uk/me/parabola/mkgmap/reader/osm/TagsTest.java: Implement
	  overlays.
	  
	  With this feature you can have a line style that is formed by
	  over laying two lines. By using a TYP file with appropriate
	  definitions, you can create some useful effects.
	  
	  To use this create an overlays file in the style. Lines in the
	  file look like this:
	  
	  0x142: 0x12, 0x17, 0x18
	  
	  This means that if you have a line of type 0x142, it will be
	  written as three lines with types 0x12, 0x17 and 0x18
	  respectively instead of 0x142.

2008-12-09  steve

	* mkgmap.iml, src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/SimpleMap.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Tags.java,
	  test/uk/me/parabola/mkgmap/reader/osm/TagsTest.java: Rename
	  SimpleMap to Tags to reflect its only use.
	* src/uk/me/parabola/mkgmap/general/MapElement.java: Bug fix for
	  max resolution.

2008-12-08  steve

	* Makefile, resources/styles/default/lines,
	  resources/styles/default/relations, resources/styles/noname,
	  resources/styles/noname/info, resources/styles/noname/lines,
	  resources/styles/noname/version,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/osmstyle/RuleFileReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/SequenceRule.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleImpl.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StylePrinter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/NotExistsOp.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/GType.java,
	  src/uk/me/parabola/mkgmap/reader/osm/SimpleMap.java,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/Osm5MapDataSource.java,
	  test/resources/teststyles/simple/lines,
	  test/uk/me/parabola/mkgmap/osmstyle/ActionReaderTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/RuleFileReaderTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/StyledConverterTest.java: Add
	  a noname style.
	  
	  Can be used with --style=noname
	  
	  Major roads that do not have a ref, as well as residential roads
	  that do not have a name are highlighted. You can use the tag
	  noname=yes to show that a road doesn't have and name and
	  therefore shouldn't be highlighted.
	  
	  No-name roads show up as a thick line that is visible at higher
	  zooms than is usual for residential roads to help you find areas
	  with poor naming coverage.

2008-12-07  steve

	* resources/styles/default/info, resources/styles/default/lines,
	  resources/styles/default/map-features.csv,
	  resources/styles/default/points,
	  resources/styles/default/polygons,
	  src/uk/me/parabola/mkgmap/osmstyle/SequenceRule.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StylePrinter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/AddTagAction.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/NameAction.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/ValueBuilder.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/ValueItem.java,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/scan/TokenScanner.java,
	  test/resources/teststyles/empty,
	  test/resources/teststyles/empty/points,
	  test/resources/teststyles/empty/relations,
	  test/resources/teststyles/empty/version,
	  test/uk/me/parabola/mkgmap/osmstyle/StyleImplTest.java: Make the
	  default style a rules-based one.
	  
	  Fix a bug when a file is empty.
	  
	  add to strings to the value action rules.
	* src/uk/me/parabola/mkgmap/osmstyle/StyleImpl.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/ConvertFilter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/ValueItem.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/Osm5XmlHandler.java,
	  test/uk/me/parabola/mkgmap/osmstyle/actions/AddTagActionTest.java:
	  Remove old hardcoded rules for name and contours but add
	  equivilent rules if you are using an old map-features.csv based
	  style for backward compatibility.
	  
	  New styles have to be particular about how to format the name of
	  a road and how to deal with contour lines etc.
	* ., doc/style-rules.txt, mkgmap.iml, mkgmap.ipr,
	  src/uk/me/parabola/imgfmt/app/typ,
	  src/uk/me/parabola/mkgmap/Options.java,
	  src/uk/me/parabola/mkgmap/osmstyle/RuleFileReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleImpl.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/TypeReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/Action.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/ActionReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/AddTagAction.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/ConvertFilter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/DefaultFilter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/DeleteAction.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/NameAction.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/SubAction.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/ValueBuilder.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/ValueFilter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/ValueItem.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/ExpressionReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/Op.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/UnitConversions.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/GType.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Relation.java,
	  src/uk/me/parabola/mkgmap/scan/TokenScanner.java, test/resources,
	  test/resources/teststyles, test/resources/teststyles/simple,
	  test/resources/teststyles/simple/info,
	  test/resources/teststyles/simple/lines,
	  test/resources/teststyles/simple/options,
	  test/resources/teststyles/simple/version, test/uk, test/uk/me,
	  test/uk/me/parabola, test/uk/me/parabola/mkgmap,
	  test/uk/me/parabola/mkgmap/osmstyle/ActionReaderTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/RuleFileReaderTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/StyleImplTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/StyledConverterTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/actions/AddTagActionTest.java,
	  test/uk/me/parabola/mkgmap/reader,
	  test/uk/me/parabola/mkgmap/reader/osm,
	  test/uk/me/parabola/mkgmap/reader/osm/ElementTest.java: Merge
	  style branch into trunk.
	  
	  The style system is now nearly complete. Will then remove the
	  hardcoded rules for name and contours.
	* build.xml: Don't include the source in the distributions as we
	  have a separate source one now and have done for a while.

2008-12-06  steve

	* src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java: Make
	  the MPS file name distinctive.
	* mkgmap.ipr, src/uk/me/parabola/imgfmt/sys/BlockManager.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java:
	  Calculate the block size needed for the gmapsupp correctly. Was
	  ignoring the main constraint while concentrating on a minor
	  one....
	  
	  Also there should be a warning now if the directory overflows. If
	  it does that would be a bug.

2008-12-01  steve

	* mkgmap.ipr, src/uk/me/parabola/imgfmt/app/CommonHeader.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/LinePreparer.java,
	  src/uk/me/parabola/imgfmt/app/typ/BitmapImage.java,
	  src/uk/me/parabola/imgfmt/app/typ/PointInfo.java,
	  src/uk/me/parabola/mkgmap/filters/FilterConfig.java,
	  src/uk/me/parabola/mkgmap/general/LineClipper.java,
	  src/uk/me/parabola/mkgmap/reader/osm/MultiPolygonRelation.java,
	  test/uk/me/parabola/imgfmt/app/typ,
	  test/uk/me/parabola/imgfmt/app/typ/TYPFileTest.java: Misc: code
	  clean up.

2008-11-30  steve

	* src/uk/me/parabola/imgfmt/FormatException.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/Writeable.java,
	  src/uk/me/parabola/imgfmt/app/typ,
	  src/uk/me/parabola/imgfmt/app/typ/BitmapImage.java,
	  src/uk/me/parabola/imgfmt/app/typ/DrawOrder.java,
	  src/uk/me/parabola/imgfmt/app/typ/PointInfo.java,
	  src/uk/me/parabola/imgfmt/app/typ/Rgb.java,
	  src/uk/me/parabola/imgfmt/app/typ/ShapeStacking.java,
	  src/uk/me/parabola/imgfmt/app/typ/TYPFile.java,
	  src/uk/me/parabola/imgfmt/app/typ/TYPHeader.java: Brought in the
	  TYP file implementation from Thomas Lußnig.
	  
	  This is from the typpoi branch, there is still more to be
	  integrated from that branch.
	* src/uk/me/parabola/mkgmap/osmstyle/Action.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleImpl.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StylePrinter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/GType.java,
	  src/uk/me/parabola/mkgmap/scan/TokenScanner.java: Misc: Code
	  tidy.
	* ., Makefile, doc/style.txt, mkgmap.ipr,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/general/Clipper.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/PolygonClipper.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/osmstyle/Action.java,
	  src/uk/me/parabola/mkgmap/osmstyle/ActionRule.java,
	  src/uk/me/parabola/mkgmap/osmstyle/DefaultFeatureNames.java,
	  src/uk/me/parabola/mkgmap/osmstyle/JarFileLoader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/MapFeatureReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/RuleFileReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/SequenceRule.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleImpl.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StylePrinter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/TypeReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/Action.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/ActionReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/AddTagAction.java,
	  src/uk/me/parabola/mkgmap/osmstyle/actions/RenameAction.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/EqualsOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/ExpressionReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/GTEOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/GTOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/LTEOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/LTOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/NumericOp.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/GType.java,
	  src/uk/me/parabola/mkgmap/reader/osm/GeneralRelation.java,
	  src/uk/me/parabola/mkgmap/reader/osm/MultiPolygonRelation.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Relation.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleInfo.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way.java,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java,
	  src/uk/me/parabola/mkgmap/scan/Token.java,
	  src/uk/me/parabola/mkgmap/scan/TokenScanner.java, test/uk,
	  test/uk/me, test/uk/me/parabola, test/uk/me/parabola/mkgmap,
	  test/uk/me/parabola/mkgmap/osmstyle,
	  test/uk/me/parabola/mkgmap/osmstyle/ActionReaderTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/RuleFileReaderTest.java,
	  test/uk/me/parabola/mkgmap/osmstyle/actions,
	  test/uk/me/parabola/mkgmap/osmstyle/actions/AddTagActionTest.java:
	  Merge from style branch.
	* ., ChangeLog, mkgmap.ipr,
	  src/uk/me/parabola/imgfmt/app/BitReader.java,
	  src/uk/me/parabola/mkgmap/Version.java,
	  test/uk/me/parabola/imgfmt, test/uk/me/parabola/imgfmt/app,
	  test/uk/me/parabola/imgfmt/app/BitReaderTest.java,
	  test/uk/me/parabola/mkgmap/general/LineClipperTest.java: Misc:
	  tests, version and changelog updating.

2008-11-29  steve

	* src/uk/me/parabola/imgfmt/app/BitReader.java: Merge from nod to
	  allow display to compile with trunk
	* mkgmap.iml, mkgmap.ipr, src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/mkgmap/general/LineClipper.java, test/uk,
	  test/uk/me, test/uk/me/parabola, test/uk/me/parabola/mkgmap,
	  test/uk/me/parabola/mkgmap/general,
	  test/uk/me/parabola/mkgmap/general/LineClipperTest.java: Line
	  clipping was producing zero length lines.

2008-11-28  steve

	* ., mkgmap.ipr,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesHeader.java,
	  src/uk/me/parabola/imgfmt/app/map/Map.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileImgChannel.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/general/LineClipper.java,
	  src/uk/me/parabola/mkgmap/gui/Main.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLangMap.java,
	  src/uk/me/parabola/mkgmap/osmstyle/DefaultFeatureNames.java,
	  src/uk/me/parabola/mkgmap/osmstyle/DirectoryFileLoader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleImpl.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/Op.java,
	  src/uk/me/parabola/mkgmap/reader/osm/MultiPolygonRelation.java,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/AllElements.java,
	  src/uk/me/parabola/mkgmap/reader/test/TestPoints.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Code tidying.

2008-11-27  steve

	* src/uk/me/parabola/imgfmt/Utils.java: Reversing change to the
	  date routines in this file as I suspect they may be causing the
	  recently observed breakage.
	  
	  I remember from the beginning that things dont work if the year
	  field has certain values.

2008-11-23  steve

	* ChangeLog, doc/Credits,
	  src/uk/me/parabola/imgfmt/app/map/Map.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/scan/TokenScanner.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java: Fixed
	  NumberFormatException problems on map names that are not
	  integers.

2008-11-16  steve

	* mkgmap.ipr, mkgmap.iws, src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java:
	  Code clean up.
	* mkgmap.ipr, mkgmap.iws,
	  src/uk/me/parabola/imgfmt/app/BitReader.java,
	  src/uk/me/parabola/imgfmt/app/CommonHeader.java,
	  src/uk/me/parabola/imgfmt/app/OffsetWriter.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Latin2Encoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Utf8Decoder.java,
	  src/uk/me/parabola/imgfmt/app/net/RoadDef.java,
	  src/uk/me/parabola/imgfmt/app/net/RoadIndex.java,
	  src/uk/me/parabola/imgfmt/app/trergn/MapValues.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/mkgmap/scan/Token.java,
	  src/uk/me/parabola/mkgmap/scan/TokenScanner.java,
	  src/uk/me/parabola/tdbfmt/RBlock.java: Code clean up.
	* mkgmap.ipr, mkgmap.iws, src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/imgfmt/app/BitReader.java,
	  src/uk/me/parabola/imgfmt/app/Coord.java,
	  src/uk/me/parabola/imgfmt/app/Section.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java,
	  src/uk/me/parabola/imgfmt/app/map/Map.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Overview.java,
	  src/uk/me/parabola/imgfmt/mps/Block.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java,
	  src/uk/me/parabola/io/StructuredInputStream.java,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/build/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/filters/FilterConfig.java,
	  src/uk/me/parabola/mkgmap/general/AreaClipper.java,
	  src/uk/me/parabola/mkgmap/main/MapOption.java,
	  src/uk/me/parabola/mkgmap/osmstyle/CombinedStyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleImpl.java,
	  src/uk/me/parabola/mkgmap/osmstyle/TypeReader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/GType.java,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Code clean up.
	* mkgmap.iml, mkgmap.ipr, mkgmap.iws: Add intellij files.
	* src/uk/me/parabola/mkgmap/general/LineClipper.java: Fix clipping
	  bug where a line runs parallel to the side we are clipping
	  against. Also changed many double values to int's as we only work
	  in ints for the coordinates anyway. Changed some terminology to
	  better match the web page description of the algorithm.
	  
	  (Bug reported by beej71)

2008-11-12  steve

	* ., src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/GType.java: Merge change to
	  restore the rule ordering within the file. Rules earlier take
	  priority over rules later.

2008-11-10  steve

	* ., src/uk/me/parabola/mkgmap/general/AreaClipper.java,
	  src/uk/me/parabola/mkgmap/general/Clipper.java,
	  src/uk/me/parabola/mkgmap/general/NullClipper.java,
	  src/uk/me/parabola/mkgmap/osmstyle/RuleFileReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/TypeReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/EqualsOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/GTEOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/GTOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/LTEOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/LTOp.java,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/scan/TokenScanner.java: Merge in
	  important bug fixes from the style branch. Makes all the examples
	  work.

2008-11-09  steve

	* ., Makefile, doc/style-examples.txt, doc/style-rules.txt,
	  doc/style.txt, scripts/new_style.py,
	  src/uk/me/parabola/imgfmt/app/BitWriter.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Latin2Encoder.java,
	  src/uk/me/parabola/imgfmt/app/trergn/LinePreparer.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Point.java,
	  src/uk/me/parabola/imgfmt/app/trergn/RGNFile.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/Option.java,
	  src/uk/me/parabola/mkgmap/OptionProcessor.java,
	  src/uk/me/parabola/mkgmap/Options.java,
	  src/uk/me/parabola/mkgmap/Version.java,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/general/Clipper.java,
	  src/uk/me/parabola/mkgmap/general/LevelInfo.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/main/AbstractTestMap.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/main/MapMaker.java,
	  src/uk/me/parabola/mkgmap/osmstyle,
	  src/uk/me/parabola/mkgmap/osmstyle/CombinedStyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/DefaultFeatureNames.java,
	  src/uk/me/parabola/mkgmap/osmstyle/DirectoryFileLoader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/ExpressionRule.java,
	  src/uk/me/parabola/mkgmap/osmstyle/FixedRule.java,
	  src/uk/me/parabola/mkgmap/osmstyle/JarFileLoader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/MapFeatureReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/RuleFileReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/RuleSet.java,
	  src/uk/me/parabola/mkgmap/osmstyle/SequenceRule.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyleImpl.java,
	  src/uk/me/parabola/mkgmap/osmstyle/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/osmstyle/TypeReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/AndOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/BinaryOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/CloseOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/EqualsOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/ExistsOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/ExpressionReader.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/GTEOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/GTOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/LTEOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/LTOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/NotEqualOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/NotExistsOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/NotOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/Op.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/OpenOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/OrOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/SyntaxException.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/ValueOp.java,
	  src/uk/me/parabola/mkgmap/osmstyle/eval/ValueWithUnit.java,
	  src/uk/me/parabola/mkgmap/osmstyle/package.html,
	  src/uk/me/parabola/mkgmap/reader/osm/CombinedStyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/DirectoryFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/GType.java,
	  src/uk/me/parabola/mkgmap/reader/osm/JarFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/MultiPolygonRelation.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Node.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Rule.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleInfo.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way5.java,
	  src/uk/me/parabola/mkgmap/reader/osm/WordScanner.java,
	  src/uk/me/parabola/mkgmap/reader/osm/package.html,
	  src/uk/me/parabola/mkgmap/reader/osm/xml,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/xml/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/plugin/MapReader.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java,
	  src/uk/me/parabola/mkgmap/scan,
	  src/uk/me/parabola/mkgmap/scan/TokType.java,
	  src/uk/me/parabola/mkgmap/scan/Token.java,
	  src/uk/me/parabola/mkgmap/scan/TokenScanner.java: Merge the style
	  branch back to the trunk. Next the branch will be recreated for
	  more work.
	* src/uk/me/parabola/imgfmt/app/BufferedImgFileWriter.java,
	  src/uk/me/parabola/mkgmap/Version.java: Change the message when
	  the RGN region overflows. The previous message was confusing, and
	  I don't expect the new one will be any better, but I will keep
	  changing it until it is. Exit the program as there is not point
	  of going on as the map will not work and it is best not to give
	  hope that it will.
	  
	  Bumped the built in version number - thanks Petr for reminding
	  me.

2008-08-31  steve

	* src/uk/me/parabola/imgfmt/app/BitReader.java: Add a signed get
	  method to the bitreader

2008-08-30  steve

	* Makefile, src/uk/me/parabola/imgfmt/app/BitReader.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java: Changes to
	  help display rgn files.

2008-08-28  steve

	* resources/styles/default/map-features.csv: Add highway=path
	  because some people use that. -Markus Barchfeld

2008-08-25  steve

	* src/uk/me/parabola/mkgmap/build/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/general/LevelInfo.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java:
	  When a reader plugin already contains an empty top level zoom,
	  then we do not want to create a new one so mark such levels
	  specially and use them for creating the empty level instead of
	  creating our own. Thanks to Pazapas for pointing this out.
	* src/uk/me/parabola/imgfmt/app/Section.java: Apply fix from the
	  nod branch. When sections are linked then the begining of the
	  second should be the end of the previous one (not the start of
	  the previous).
	  
	  Possibly would have caused some weird POI behaviour.

2008-08-24  steve

	* ChangeLog, src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/ImgFileReader.java,
	  src/uk/me/parabola/imgfmt/app/ImgFileWriter.java: Some more
	  changes that should have been included in the previous commit.
	  
	  Two phase writing of the sections.
	* src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/map/Map.java,
	  src/uk/me/parabola/imgfmt/app/net/NETFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/typ/TYPFile.java,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java: The sync method
	  was a bad idea for net and nod.
	  
	  We need to separate writing into two phases and control the order
	  that these phases are written in.
	  
	  So: 1. Make sync just write the buffers to the disk. 2. Add write
	  and writePost() methods to control the different phases.
	  
	  Verified that you get the same result file on trunk.

2008-08-22  elrond

	* src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java: Support
	  <bounds> in .osm
	  
	  The current OSM api sends a <bounds minlat="..." minlon="..."
	  maxlat="..." maxlon="..."/>. Use it to setup the bounding box.
	  
	  (<bound> is another already supported way.)
	* resources/map-features.csv, resources/osm_garmin_map.csv,
	  resources/styles/default/map-features.csv: Add new features
	  (archaeological_site, school, playground)
	  
	  point historic=archaeological_site ->
	  attractions|museum-historical polygon amenity=school ->
	  university (closest match) polygon leisure=playground ->
	  city-park (closest match)

2008-08-03  steve

	* .: Merge tracking for typpoi nod and style branches.

2008-08-02  steve

	* src/uk/me/parabola/mkgmap/filters/SmoothingFilter.java: Initial
	  fix for polygon smoothing, more to do. - Olaf Kähler
	* src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java:
	  some trivial bugs about converting meters/feet in .mp files...
	  now also all three kinds of contour lines will be processed. -
	  Olaf Kähler

2008-07-28  steve

	* src/uk/me/parabola/mkgmap/reader/osm/MultiPolygonRelation.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java: 1: When
	  using files processed by osmcut some ways which were part of the
	  relation were not in the file causing a null-pointer exception.
	  This is now handled in both OSM5XMLHandler and
	  MultipolygonRelation. 2: I changed the calcutation of the
	  distance between points to also take hemisphere changes into
	  account. The code looks not nice to me however. 3: I uncommented
	  the last line of the insertPoints function as the islands looked
	  ok on my venture HC. It appears only mapsource messes things up.
	  Rene Affourtit

2008-07-27  steve

	* Makefile, src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/mkgmap/main/MapMaker.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Completely empty osm files caused mkgmap to go into a loop and
	  run out of memory. Now we just ignore any empty file. If the file
	  still has a valid bounds element then the output will still be
	  produced. Reported by Christian Ehrlicher.

2008-07-23  steve

	* src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  When a way is tagged both riverbank and coastline, then prefer
	  the coastline. This gives the best results until there is code to
	  deal with filling in in-complete polygons.

2008-07-18  steve

	* src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Add the bodge that allows the contour tag have a height
	  specified, to the contour_ext tags too. Requested by a couple of
	  people for use with Srtm2Osm.
	  
	  The mythical new style system will allow this to be configured
	  properly...

2008-07-08  steve

	* src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/MultiPolygonRelation.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Relation.java: Patch to add
	  relation support and in particular for the multi polygon
	  relation.
	  
	  known issues: - Areas crossing equator, poles, meridian, dataline
	  will be joined wrong. - connection between inner and outer ways.
	  
	  -Rene_A

2008-07-06  steve

	* Makefile,
	  src/uk/me/parabola/imgfmt/app/BufferedReadStrategy.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/ReadStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Section.java,
	  src/uk/me/parabola/imgfmt/app/WriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLHeader.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesHeader.java: NetDisplay
	  now looks up the number of cities and so can tell if they need
	  one or 2 bytes.
	* Makefile,
	  src/uk/me/parabola/imgfmt/app/BufferedImgFileReader.java,
	  src/uk/me/parabola/imgfmt/app/BufferedImgFileWriter.java,
	  src/uk/me/parabola/imgfmt/app/CommonHeader.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/ImgFileReader.java,
	  src/uk/me/parabola/imgfmt/app/ImgFileWriter.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/OffsetWriter.java,
	  src/uk/me/parabola/imgfmt/app/OffsetWriterList.java,
	  src/uk/me/parabola/imgfmt/app/lbl/City.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Country.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLHeader.java,
	  src/uk/me/parabola/imgfmt/app/lbl/POIRecord.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesHeader.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Region.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Zip.java,
	  src/uk/me/parabola/imgfmt/app/net/NETFile.java,
	  src/uk/me/parabola/imgfmt/app/net/NETHeader.java,
	  src/uk/me/parabola/imgfmt/app/net/RoadDef.java,
	  src/uk/me/parabola/imgfmt/app/net/RoadIndex.java,
	  src/uk/me/parabola/imgfmt/app/trergn/MapObject.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Overview.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Point.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/trergn/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/RGNHeader.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Zoom.java,
	  src/uk/me/parabola/imgfmt/app/typ/TYPFile.java,
	  src/uk/me/parabola/imgfmt/app/typ/TYPHeader.java: Renamed the
	  ReadStrategy and WriteStrategy interfaces and their associated
	  classes to ImgFileReader and ImgFileWriter etc
	* src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java: 1. Make overview
	  polygons completely cover the map area. 2. Read family id from
	  tdb header. 3. re-org v4 header writing.

2008-07-05  steve

	* src/uk/me/parabola/mkgmap/main/Main.java: Fixed --help option.

2008-07-03  steve

	* src/uk/me/parabola/tdbfmt/TdbFile.java: Removed unneed imports
	* src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/filters/PolygonSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/general/LineClipper.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Removed debugging prints, improved display of bounds.
	* src/uk/me/parabola/tdbfmt/TBlock.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Add the crc to the T
	  block

2008-07-01  steve

	* Makefile, src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/imgfmt/app/Coord.java,
	  src/uk/me/parabola/mkgmap/general/LineClipper.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/PolygonClipper.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyledConverter.java: If
	  there is a bounding box in the input file, then use that to clip
	  the output to exactly to that box.

2008-06-29  steve

	* src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Make the family id
	  default to 0 (due to a bug it, the default was really always 0).
	  Remove v4 block from v3 TDB
	* resources/help/en/options: Add missing options - Michael Vogt

2008-06-28  steve

	* src/uk/me/parabola/io/StructuredOutputStream.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/tdbfmt/DetailMapBlock.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java,
	  src/uk/me/parabola/tdbfmt/RBlock.java,
	  src/uk/me/parabola/tdbfmt/TBlock.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Adding support for TDB
	  v4. It does not work.

2008-06-23  steve

	* src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java: The part field appears
	  to be just the one byte. - Johann Gail

2008-06-22  steve

	* src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Remove System.exit's and unused code.
	* src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Set family id more
	  consistantly and read the TRE header more completely (whole
	  header is not needed yet, so we just do part of it).

2008-06-21  steve

	* src/uk/me/parabola/mkgmap/Version.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Segment.java: Segments are
	  long gone.
	* src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java: Looks like
	  the parent needs to be properly set. (I don't see this crash
	  though) See
	  http://wiki.openstreetmap.org/index.php?title=Talk:Mkgmap&curid=4591&diff=114690&oldid=113277
	* Makefile, src/uk/me/parabola/imgfmt/app/OffsetWriter.java,
	  src/uk/me/parabola/imgfmt/app/OffsetWriterList.java,
	  src/uk/me/parabola/imgfmt/app/map/Map.java,
	  src/uk/me/parabola/imgfmt/app/net/NETFile.java,
	  src/uk/me/parabola/imgfmt/app/net/RoadDef.java,
	  src/uk/me/parabola/imgfmt/app/net/RoadIndex.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Subdivision.java,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/main/MapMaker.java: Merge in the net
	  branch. This gives the ability to add the NET section. The work
	  on the net branch was done by Elrond.

2008-06-20  steve

	* src/uk/me/parabola/imgfmt/app/trergn/MapValues.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java: Merge in
	  work to extend the TRE header to the 188 byte version. Somewhat
	  experimental at the moment.

2008-05-24  steve

	* resources/map-features.csv, resources/osm_garmin_map.csv,
	  resources/styles/default/map-features.csv: Added
	  amenity=drinking_water and natural=glacier as suggested by
	  Frédéric Bonifas.

2008-05-15  steve

	* src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java: Protect
	  against bad numeric data in the input file.

2008-05-12  steve

	* Makefile,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java: I
	  believe that the garmin is expecting that the contours are in
	  feet, so we need to convert. You can change how it displays them
	  on the Garmin with an option.

2008-05-03  steve

	* src/uk/me/parabola/imgfmt/app/net/NETFile.java,
	  src/uk/me/parabola/imgfmt/app/net/NETHeader.java,
	  src/uk/me/parabola/imgfmt/app/net/RoadDef.java: Little
	  improvement to NET output routines
	  
	  This allows to create label-only RoadDefs in the NET file. The
	  created NET file looks good using the display tools.

2008-04-28  steve

	* src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java: Make
	  --map-features a synonym for --style-file like it is meant to be.

2008-04-26  steve

	* ChangeLog, Makefile, build.xml, doc/Credits,
	  src/uk/me/parabola/mkgmap/Version.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java: Tidy
	  up for a release.
	* src/uk/me/parabola/imgfmt/app/lbl/POIRecord.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesHeader.java: Add
	  StreetNames to POI
	  
	  POIRecords are variable length, have optional flags for the
	  included info and are mostly straight forward. This adds the
	  optional flag writing and one optional field: The StreetName.
	  
	  - Elrond

2008-04-22  steve

	* src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/POIRecord.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesHeader.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Point.java,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java: Basic POI
	  support
	  
	  The LBL file contains a section for detailed information about
	  POIs (street, streetnumber, ZIP, phone number). These entries can
	  be linked from the Point-entries in the map subdivisions.
	  
	  For now we only use the Name field in the POIRecord. The user
	  visible change is in MapSource: Most POIs now have a Property
	  context-menu entry, which shows the detailed info.
	  
	  The Point-entry flag was found in qlandkarte. The rest is
	  documented in the imgformat pdf.
	  
	  - Elrond
	* src/uk/me/parabola/mkgmap/main/Main.java: Add --version option -
	  suggested by Petr Schönmann.
	  
	  Only works properly with packaged versions of mkgmap, not direct
	  from svn.

2008-04-20  steve

	* ChangeLog, doc/mkgmap.1, resources/help/en/copyright,
	  resources/help/en/help, resources/help/en/inputs,
	  resources/help/en/links, resources/help/en/options: Improvements
	  and additional help files.
	* resources/styles/default/info, resources/styles/test/info,
	  src/uk/me/parabola/mkgmap/gui/MainFileList.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/reader/osm/CombinedStyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/DirectoryFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/JarFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleInfo.java,
	  src/uk/me/parabola/mkgmap/reader/osm/WordScanner.java: Can now
	  list styles (not that there are any available yet) Added info
	  file so that a style listing can include information about the
	  style
	* doc/Credits, doc/mkgmap.1: Add man page, written by Andreas Putzo
	  for the Debian project.

2008-04-19  steve

	* build.xml, src/uk/me/parabola/mkgmap/gui,
	  src/uk/me/parabola/mkgmap/gui/AppLayout.form,
	  src/uk/me/parabola/mkgmap/gui/AppLayout.java,
	  src/uk/me/parabola/mkgmap/gui/Buttons.form,
	  src/uk/me/parabola/mkgmap/gui/Buttons.java,
	  src/uk/me/parabola/mkgmap/gui/FileModel.java,
	  src/uk/me/parabola/mkgmap/gui/FileOptions.form,
	  src/uk/me/parabola/mkgmap/gui/FileOptions.java,
	  src/uk/me/parabola/mkgmap/gui/FileOptions.properties,
	  src/uk/me/parabola/mkgmap/gui/InputFile.java,
	  src/uk/me/parabola/mkgmap/gui/Main.java,
	  src/uk/me/parabola/mkgmap/gui/Main.properties,
	  src/uk/me/parabola/mkgmap/gui/MainFileList.form,
	  src/uk/me/parabola/mkgmap/gui/MainFileList.java,
	  src/uk/me/parabola/mkgmap/gui/MainFileList.properties,
	  src/uk/me/parabola/mkgmap/gui/MainFileList_en_US.properties,
	  src/uk/me/parabola/mkgmap/gui/MainFileList_no.properties,
	  src/uk/me/parabola/mkgmap/gui/Main_en_US.properties,
	  src/uk/me/parabola/mkgmap/gui/Main_no.properties,
	  src/uk/me/parabola/mkgmap/gui/package.html: gui
	* resources/help/en/options, resources/styles/default/options,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyledConverter.java: Make
	  the --levels option available inside the style itself. Clean up
	  the help file.

2008-04-13  steve

	* src/uk/me/parabola/imgfmt/app/lbl/POIRecord.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Point.java: Start some
	  POIRecord support. Nothing should change in the created maps yet.
	  - Elrond
	* src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Let polygons get predictable garmin types
	  
	  Currently, the order of tags in the input defines the result of
	  the garmin type search for a polygon. Now the type is defined by
	  the order in the map-features.csv.
	  
	  This was done for polylines a while back already. - Elrond
	* src/uk/me/parabola/mkgmap/reader/osm/CombinedStyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyledConverter.java: Apply
	  overrides to options from the command line.
	* ChangeLog, Makefile, resources/help/en/help,
	  resources/help/en/options,
	  src/uk/me/parabola/mkgmap/main/Main.java: Add possibility of more
	  help files and the --help option
	* doc/style.txt,
	  src/uk/me/parabola/imgfmt/FileNotWritableException.java,
	  src/uk/me/parabola/imgfmt/app/CommonHeader.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/Section.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/CodeFunctions.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/filters/PolygonSizeSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/CombinedStyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/WordScanner.java: Code tidy
	  up.
	* build.xml, src/uk/me/parabola/mkgmap/main/Main.java: Actually get
	  the option help into the archive and fix typo in message.
	* build.xml, resources/help, resources/help/en,
	  resources/help/en/options,
	  src/uk/me/parabola/mkgmap/main/Main.java: Add an options help
	  file.
	* doc/style.txt, resources/styles/default/map-features.csv,
	  src/uk/me/parabola/mkgmap/reader/osm/CombinedStyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/WordScanner.java: In
	  addition to zip file archives, add a simple single file archive
	  type. This also provides backward compatibility with the single
	  map-features.csv file.

2008-04-12  steve

	* ChangeLog, build.xml, doc/Credits, resources/map-features.csv,
	  resources/styles, resources/styles/default,
	  resources/styles/default/options,
	  resources/styles/default/version, resources/styles/test,
	  resources/styles/test/version,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java: Add
	  new style directory, tidy up and update. Add Credits file and
	  make build.xml copy it in.
	* src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/WordScanner.java: Remove
	  Scanner which is not available in GNU classpath. Once openjdk
	  becomes available in all the linux distros, then we can consider
	  using again, but it wasn't doing much good anyway.
	* src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java:
	  Remove the usage of Scanner. It ends up looking simpler anyway.

2008-04-10  steve

	* src/uk/me/parabola/mkgmap/build/MapSplitter.java: Temporary fix
	  for the 'stack-overflow' problem.
	* src/uk/me/parabola/imgfmt/app/BufferedReadStrategy.java,
	  src/uk/me/parabola/imgfmt/app/ReadStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Section.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java: Fix
	  insertion of the copyright strings from the individual files into
	  the TDB file, a bit involved since it never worked after the
	  rewrite of the TDB creation from existing files rather than on
	  the fly.

2008-04-08  steve

	* resources/osm_garmin_map.csv: More map features from Elrond

2008-04-07  steve

	* src/uk/me/parabola/imgfmt/sys/ImgHeader.java: Use util routines
	  for string manipulation.
	  
	  Clarify set description routine at the same time.

2008-04-06  steve

	* src/uk/me/parabola/imgfmt/sys/ImgHeader.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java: Improve tile
	  names in MapSource: - Let ImgHeader read the Description from the
	  .img - Use that description in writing out the .tdb (Elrond)
	* src/uk/me/parabola/mkgmap/filters/PolygonSizeSplitterFilter.java:
	  Fix to prevent width or height getting too large
	* src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyledConverter.java: Add
	  the ability to redifine what is used as the name tag.

2008-03-31  steve

	* resources/map-features.csv, resources/osm_garmin_map.csv: Add
	  living_street.
	* src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java: Removed duplicate
	  code and made constructor public again as it is used by the
	  display branch. (Elrond)

2008-03-20  steve

	* Makefile,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/JarFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/package.html: More on named
	  styles.

2008-03-15  steve

	* src/uk/me/parabola/imgfmt/ReadFailedException.java,
	  src/uk/me/parabola/imgfmt/app/CommonHeader.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/BaseEncoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/CodeFunctions.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Decoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Utf8Encoder.java,
	  src/uk/me/parabola/imgfmt/app/lbl/City.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLHeader.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Region.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Zip.java,
	  src/uk/me/parabola/imgfmt/app/net/NETFile.java,
	  src/uk/me/parabola/imgfmt/app/net/NETHeader.java,
	  src/uk/me/parabola/imgfmt/app/net/RoadDef.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/filters/FilterConfig.java,
	  src/uk/me/parabola/mkgmap/filters/LineSizeSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/filters/PolygonSizeSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/JarFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyledConverter.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java: Code tidying.
	* src/uk/me/parabola/mkgmap/reader/osm/JarFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleFileLoader.java:
	  Styling development.
	* resources/map-features.csv, resources/osm_garmin_map.csv:
	  Riverbank is a polygon (strangely).

2008-03-05  steve

	* src/uk/me/parabola/tdbfmt/EndOfFileException.java,
	  src/uk/me/parabola/tdbfmt/StructuredInputStream.java,
	  src/uk/me/parabola/tdbfmt/StructuredOutputStream.java: Files that
	  should have been removed in the last commit

2008-03-04  steve

	* src/uk/me/parabola/imgfmt/mps/Block.java,
	  src/uk/me/parabola/imgfmt/mps/MapBlock.java,
	  src/uk/me/parabola/imgfmt/mps/MapsetBlock.java,
	  src/uk/me/parabola/imgfmt/mps/ProductBlock.java,
	  src/uk/me/parabola/io,
	  src/uk/me/parabola/io/EndOfFileException.java,
	  src/uk/me/parabola/io/StructuredInputStream.java,
	  src/uk/me/parabola/io/StructuredOutputStream.java,
	  src/uk/me/parabola/tdbfmt/Block.java,
	  src/uk/me/parabola/tdbfmt/CopyrightBlock.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/DetailMapBlock.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Fix package cycle.
	* resources/garmin_feature_list.csv, resources/map-features.csv,
	  resources/osm_garmin_map.csv: Patch by Elrond:
	  
	  - Add landuse=scrub and needed garmin feature - Add
	  sport=swimming - Add newer osm names for existing features:
	  shop=supermarket (former: amenity=supermarket) tourism=museum
	  (former: historic=museum)

2008-03-03  steve

	* Makefile, src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java: Fix location of flag
	  and part number in the directory entry.

2008-03-02  steve

	* src/uk/me/parabola/mkgmap/reader/osm/StyledConverter.java: The
	  new styled converter
	* src/uk/me/parabola/mkgmap/reader/osm/DirectoryFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/JarFileLoader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Style.java,
	  src/uk/me/parabola/mkgmap/reader/osm/StyleFileLoader.java: A new
	  styling system to replace the existing single file one.
	* Makefile,
	  src/uk/me/parabola/imgfmt/app/labelenc/CodeFunctions.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Utf8Decoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Utf8Encoder.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java: work on
	  character encodings. Preparation for none 8 bit encodings.

2008-02-17  steve

	* Makefile,
	  src/uk/me/parabola/mkgmap/reader/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm4MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmXmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way4.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way5.java,
	  src/uk/me/parabola/mkgmap/reader/plugin/MapReader.java: Removed
	  osm api version 0.4 code. Moved the setting of the element name
	  into the converter, currently the same code, but will allow ofr
	  more sophisticated treatment of names as required for
	  international use and special purpose maps.

2008-02-16  steve

	* resources/map-features.csv, resources/osm_garmin_map.csv: Applied
	  to wrong branch so merged from bigtre 540,541: --- Patch by
	  Elrond:
	  
	  * Added "ground-transportation" for bus-stops, tram-stops, and
	  railway-halts * bakery is better found under grocery than under
	  xxx4 * Add landuse=village_green ---

2008-02-09  steve

	* Makefile,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java:
	  Deal with elevation data on contours that is given in meters.

2008-02-03  steve

	* Makefile, src/uk/me/parabola/imgfmt/app/trergn/Polyline.java,
	  src/uk/me/parabola/mkgmap/Version.java,
	  src/uk/me/parabola/mkgmap/build/MapArea.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/filters/RemoveEmpty.java,
	  src/uk/me/parabola/mkgmap/filters/SmoothingFilter.java,
	  src/uk/me/parabola/mkgmap/general/LoadableMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMap.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java,
	  test, test/README: Background and sizing fixes. Should fix
	  problem with triangular background areas and areas that don't
	  cover the tile properly.

2008-01-30  steve

	* src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/main/Main.java: Fix the file merging
	  code when there is more than one FILE_KIND file with the same or
	  no mapname.

2008-01-27  steve

	* Makefile,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java: Don't
	  copy the MPS file, if there should be one in the input files.
	* src/uk/me/parabola/imgfmt/mps/MapBlock.java,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java, test: Start
	  to allow configuration of the various parameters in the TDB etc
	  files.

2008-01-26  steve

	* resources/garmin_feature_list.csv, resources/osm_garmin_map.csv:
	  Just adding allotments and hostels. (Elrond)

2008-01-21  steve

	* Makefile,
	  src/uk/me/parabola/imgfmt/app/labelenc/CodeFunctions.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Decoder.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java: Get the format
	  decoder right on reading the LBL file.

2008-01-19  steve

	* src/uk/me/parabola/imgfmt/app/labelenc/Format6Decoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java:
	  Decode the format-6 label format (Robx)
	* src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java: Factor out
	  writing the section information (patch by Elrond)
	* Makefile,
	  src/uk/me/parabola/mkgmap/filters/PolygonSizeSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/general/MapCollector.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/general/MapShape.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmXmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java:
	  Add a background polygon to the map.
	* src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java: Sizing
	  of reserved blocks now works again after allowing for more files.
	  It is still possible for the MPS file to overflow it I guess.
	* src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java: Wasn't
	  setting the size of the point records correctly, resulting in not
	  all points showing up in find categories. This shows that the
	  garmin devices actually take note of that field - and imgdeocde
	  doesn't.

2008-01-18  steve

	* src/uk/me/parabola/imgfmt/app/BufferedReadStrategy.java: Improve
	  behaviour of read when out of range of the file.
	* src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java:
	  Calculate the size for the gmapsupp file including all files and
	  not just the basic three.

2008-01-17  steve

	* src/uk/me/parabola/imgfmt/app/labelenc/CodeFunctions.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/SimpleDecoder.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLHeader.java,
	  src/uk/me/parabola/imgfmt/app/net/NETHeader.java: net and lbl
	  changes
	* src/uk/me/parabola/mkgmap/CommandArgs.java: Fix the default code
	  page which was always supposed to be 1252

2008-01-14  steve

	* Makefile,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Look up polygons before lines. Therefore if there is a tagging
	  conflict then the one that specifies an area wins.

2008-01-12  steve

	* Makefile: Read files from within the img file where possible.

2008-01-08  steve

	* Makefile,
	  src/uk/me/parabola/imgfmt/app/labelenc/CodeFunctions.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLHeader.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesHeader.java,
	  src/uk/me/parabola/imgfmt/app/net/NETHeader.java,
	  src/uk/me/parabola/mkgmap/build/MapArea.java,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java: More
	  implementation of the city indexed points.
	* src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Allow more than one map feature to match and take the one that is
	  first in the map-features file.

2008-01-06  steve

	* src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/Section.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/CodeFactory.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/CodeFunctions.java,
	  src/uk/me/parabola/imgfmt/app/lbl/City.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Country.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLHeader.java,
	  src/uk/me/parabola/imgfmt/app/lbl/POIRecord.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesHeader.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Region.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Zip.java,
	  src/uk/me/parabola/imgfmt/app/net,
	  src/uk/me/parabola/imgfmt/app/net/NETFile.java,
	  src/uk/me/parabola/imgfmt/app/net/NETHeader.java,
	  src/uk/me/parabola/imgfmt/app/net/RoadDef.java,
	  src/uk/me/parabola/imgfmt/app/net/RoadIndex.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/mkgmap/Version.java: A lot of initial code for
	  cities and the NET section.

2008-01-03  steve

	* src/uk/me/parabola/imgfmt/app/labelenc/BaseEncoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Latin1Encoder.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/map/Map.java,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLang10Map.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLangMap.java,
	  src/uk/me/parabola/mkgmap/main/MapMaker.java: Add a --lower-case
	  option it may be useful for the nuvi etc.

2008-01-02  steve

	* resources/map-features.csv, resources/osm_garmin_map.csv: Patch
	  to add a couple of features. Submitted by Elrond.
	* ChangeLog, Makefile,
	  src/uk/me/parabola/mkgmap/ArgumentProcessor.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java: Update changelog
	  makefile add javadoc comment, etc

2008-01-01  steve

	* src/uk/me/parabola/imgfmt/app/Section.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/CodeFactory.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/CodeFunctions.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/SimpleDecoder.java,
	  src/uk/me/parabola/imgfmt/app/lbl/City.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Country.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLHeader.java,
	  src/uk/me/parabola/imgfmt/app/lbl/POIRecord.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/PlacesHeader.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Region.java,
	  src/uk/me/parabola/imgfmt/app/lbl/Zip.java: Re-wrote the label
	  section to allow the addition of the city,region,country,zip,poi
	  sections.

2007-12-28  steve

	* test: MDX file displayer. I don't really know what this does so
	  don't trust this too much. Appears to be another file containing
	  a list of the maps in a set.
	  
	  As the file gets installed at the family level, it could be
	  family wide though.
	* doc/Zoom, src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLHeader.java: Add a doc file
	  Fix previous merge of label read changes that didn't compile.
	* test/java: All this has been moved to a separate repo.
	* src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/CharacterDecoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/SimpleDecoder.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLHeader.java: Changes for
	  reading the LBL file.
	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/ShapeStacking.java,
	  src/uk/me/parabola/imgfmt/app/TYPFile.java,
	  src/uk/me/parabola/imgfmt/app/TYPHeader.java: These should have
	  been removed in the last commit.
	* src/uk/me/parabola/imgfmt/app/BufferedReadStrategy.java,
	  src/uk/me/parabola/imgfmt/app/CommonHeader.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/InternalFiles.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLHeader.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/LinePreparer.java,
	  src/uk/me/parabola/imgfmt/app/MapObject.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/PointOverview.java,
	  src/uk/me/parabola/imgfmt/app/Polygon.java,
	  src/uk/me/parabola/imgfmt/app/PolygonOverview.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/PolylineOverview.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/RGNHeader.java,
	  src/uk/me/parabola/imgfmt/app/Section.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/TREHeader.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/AnyCharsetEncoder.java,
	  src/uk/me/parabola/imgfmt/app/lbl,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/lbl/LBLHeader.java,
	  src/uk/me/parabola/imgfmt/app/lbl/package.html,
	  src/uk/me/parabola/imgfmt/app/map,
	  src/uk/me/parabola/imgfmt/app/map/Map.java,
	  src/uk/me/parabola/imgfmt/app/map/package.html,
	  src/uk/me/parabola/imgfmt/app/package.html,
	  src/uk/me/parabola/imgfmt/app/trergn,
	  src/uk/me/parabola/imgfmt/app/trergn/InternalFiles.java,
	  src/uk/me/parabola/imgfmt/app/trergn/LinePreparer.java,
	  src/uk/me/parabola/imgfmt/app/trergn/MapObject.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Overview.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Point.java,
	  src/uk/me/parabola/imgfmt/app/trergn/PointOverview.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Polygon.java,
	  src/uk/me/parabola/imgfmt/app/trergn/PolygonOverview.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/trergn/PolylineOverview.java,
	  src/uk/me/parabola/imgfmt/app/trergn/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/RGNHeader.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java,
	  src/uk/me/parabola/imgfmt/app/trergn/Zoom.java,
	  src/uk/me/parabola/imgfmt/app/trergn/package.html,
	  src/uk/me/parabola/imgfmt/app/typ,
	  src/uk/me/parabola/imgfmt/app/typ/ShapeStacking.java,
	  src/uk/me/parabola/imgfmt/app/typ/TYPFile.java,
	  src/uk/me/parabola/imgfmt/app/typ/TYPHeader.java,
	  src/uk/me/parabola/imgfmt/app/typ/package.html,
	  src/uk/me/parabola/imgfmt/mps/Block.java,
	  src/uk/me/parabola/imgfmt/mps/MpsFile.java,
	  src/uk/me/parabola/mkgmap/build/MapArea.java,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/build/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/general/MapDataSource.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/main/AbstractTestMap.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLang10Map.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLangMap.java,
	  src/uk/me/parabola/mkgmap/main/MapMaker.java,
	  src/uk/me/parabola/mkgmap/reader/MapperBasedMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java,
	  test: Complete re-arrangement of files under the app package as
	  it is already quite large and more files will be added here soon.

2007-12-21  steve

	* ., src/uk/me/parabola/imgfmt/app/Section.java,
	  src/uk/me/parabola/imgfmt/app/ShapeStacking.java,
	  src/uk/me/parabola/imgfmt/app/TREHeader.java,
	  src/uk/me/parabola/imgfmt/app/TYPFile.java,
	  src/uk/me/parabola/imgfmt/app/TYPHeader.java,
	  src/uk/me/parabola/imgfmt/sys/FileImgChannel.java,
	  src/uk/me/parabola/mkgmap/reader/test/AllElements.java,
	  test/java/test/TypTest.java, test/java/test/display,
	  test/java/test/display/DisplayItem.java,
	  test/java/test/display/Displayer.java,
	  test/java/test/display/LineSectDisplayer.java,
	  test/java/test/display/MpsDisplay.java,
	  test/java/test/display/PointDisplayer.java,
	  test/java/test/display/PolygonDisplayer.java,
	  test/java/test/display/StackingDisplayer.java,
	  test/java/test/display/TypDisplay.java: Merged revisions
	  474-480,482-485,487,489-505 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/typfile
	  
	  ........ r474 | steve | 2007-12-15 14:07:00 +0000 (Sat, 15 Dec
	  2007) | 2 lines Print out the header and the fields we think are
	  pointers and sizes. This should lead to finding the other
	  pointers. ........ r475 | steve | 2007-12-15 14:48:46 +0000 (Sat,
	  15 Dec 2007) | 1 line analyse the sections found, print gaps
	  between them and size fields found and speculated. ........ r476
	  | steve | 2007-12-15 15:06:16 +0000 (Sat, 15 Dec 2007) | 1 line
	  Appears to be another section, and probably another to be
	  discovered. ........ r477 | steve | 2007-12-15 15:16:54 +0000
	  (Sat, 15 Dec 2007) | 1 line Better printing of body lines.
	  ........ r478 | steve | 2007-12-15 15:49:51 +0000 (Sat, 15 Dec
	  2007) | 2 lines Fixed bug that was hiding section sizes. Have
	  probably got sect 5 and 6 lengths now. ........ r479 | steve |
	  2007-12-15 16:05:10 +0000 (Sat, 15 Dec 2007) | 1 line More
	  possible sizes ........ r480 | steve | 2007-12-15 18:54:40 +0000
	  (Sat, 15 Dec 2007) | 2 lines Fixed bug not showing gaps between
	  some known values. Looks like the header is decoded fully as far
	  as sections goes as there is not room for any more. ........ r482
	  | steve | 2007-12-15 20:07:22 +0000 (Sat, 15 Dec 2007) | 2 lines
	  Added sections discovered into the TYP header read/write
	  functions. Verified that what is read is written and can be read
	  again. ........ r483 | steve | 2007-12-15 22:59:55 +0000 (Sat, 15
	  Dec 2007) | 1 line Most of the unknowns are certainly item sizes
	  like in the TRE file, so add them. ........ r484 | steve |
	  2007-12-16 15:28:12 +0000 (Sun, 16 Dec 2007) | 1 line TYP file
	  displayer ........ r485 | steve | 2007-12-16 15:53:59 +0000 (Sun,
	  16 Dec 2007) | 1 line Some name changes. ........ r487 | steve |
	  2007-12-16 18:12:22 +0000 (Sun, 16 Dec 2007) | 1 line Initial
	  printing of the line sections. still lots is unknown. ........
	  r493 | steve | 2007-12-16 21:55:09 +0000 (Sun, 16 Dec 2007) | 2
	  lines Should have been removed in a rename before ........ r494 |
	  steve | 2007-12-16 22:39:01 +0000 (Sun, 16 Dec 2007) | 1 line Add
	  the stacking order section. Fixes and documentation. ........
	  r495 | steve | 2007-12-18 12:28:20 +0000 (Tue, 18 Dec 2007) | 1
	  line Print out the mps file. ........ r496 | steve | 2007-12-18
	  13:55:59 +0000 (Tue, 18 Dec 2007) | 1 line Better printing of
	  line styles ........ r497 | steve | 2007-12-18 16:33:56 +0000
	  (Tue, 18 Dec 2007) | 1 line Make sense of flags ending with 01
	  ........ r498 | steve | 2007-12-18 16:34:57 +0000 (Tue, 18 Dec
	  2007) | 1 line write out a copy of each file. ........ r499 |
	  steve | 2007-12-18 16:35:24 +0000 (Tue, 18 Dec 2007) | 1 line
	  make a horizontal component of lines. ........ r500 | steve |
	  2007-12-19 09:14:27 +0000 (Wed, 19 Dec 2007) | 2 lines Add
	  classes for points and polygons (these may be the wrong way
	  round). ........ r501 | steve | 2007-12-19 09:15:00 +0000 (Wed,
	  19 Dec 2007) | 1 line reword in comment ........

2007-12-20  steve

	* src/uk/me/parabola/imgfmt/mps/Block.java,
	  src/uk/me/parabola/imgfmt/mps/MapBlock.java,
	  src/uk/me/parabola/imgfmt/mps/MapsetBlock.java,
	  src/uk/me/parabola/imgfmt/mps/MpsFile.java,
	  src/uk/me/parabola/imgfmt/mps/ProductBlock.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java,
	  src/uk/me/parabola/tdbfmt/StructuredOutputStream.java: MPS file
	  working at a first glance.
	* src/uk/me/parabola/imgfmt/mps/Block.java,
	  src/uk/me/parabola/imgfmt/mps/MapBlock.java,
	  src/uk/me/parabola/imgfmt/mps/MapsetBlock.java,
	  src/uk/me/parabola/imgfmt/mps/MpsFile.java,
	  src/uk/me/parabola/imgfmt/mps/ProductBlock.java,
	  src/uk/me/parabola/tdbfmt/StructuredOutputStream.java: Most of
	  the MPS file implemented.

2007-12-19  steve

	* test/java/test/CopyFile.java: Re-instate creating real files from
	  the internal files.
	* src/uk/me/parabola/imgfmt/mps,
	  src/uk/me/parabola/imgfmt/mps/Block.java,
	  src/uk/me/parabola/imgfmt/mps/MapBlock.java,
	  src/uk/me/parabola/imgfmt/mps/MapsetBlock.java,
	  src/uk/me/parabola/imgfmt/mps/MpsFile.java,
	  src/uk/me/parabola/imgfmt/mps/ProductBlock.java,
	  src/uk/me/parabola/imgfmt/mps/package.html: Add MPS file skeleton

2007-12-16  steve

	* src/uk/me/parabola/mkgmap/CommandArgs.java: Remove redundant
	  initialiser. Forgot to mention in the previous commit that the
	  idea for naming after the input files was requested by
	  Computerteddy.
	* Makefile, src/uk/me/parabola/mkgmap/CommandArgs.java: If the
	  input file name contains an 8 digit number (in the file name
	  part) then use that as the mapname, unless an explicit name has
	  been specifited.
	  
	  If there are a mixture of files that are numbers and not, then it
	  is always possible that you will get conflicts.
	* ., src/uk/me/parabola/imgfmt/app/BufferedReadStrategy.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/sys/FileImgChannel.java: Merged
	  revisions 481,486,488 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/typfile
	  
	  ........ r481 | steve | 2007-12-15 19:58:34 +0000 (Sat, 15 Dec
	  2007) | 1 line Reading of ints were being cast to char! ........
	  r486 | steve | 2007-12-16 16:41:10 +0000 (Sun, 16 Dec 2007) | 1
	  line Fix for the file img channel not really seeking. ........
	  r488 | steve | 2007-12-16 18:13:08 +0000 (Sun, 16 Dec 2007) | 1
	  line Make sure there is enough room in the buffer on put3
	  operations ........
	* .: Initialized merge tracking via "svnmerge" with revisions
	  "1-473" from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/typfile

2007-12-15  steve

	* src/uk/me/parabola/imgfmt/sys/FileImgChannel.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java: Allow more
	  than .img files on the command line when combining. Other file
	  types will be treated as appropriate to the operation being
	  performed.
	* src/uk/me/parabola/imgfmt/app/CommonHeader.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java: General consistency
	  changes.
	* ChangeLog, Makefile, src/uk/me/parabola/imgfmt/app/TYPFile.java,
	  src/uk/me/parabola/imgfmt/app/TYPHeader.java,
	  test/java/test/TypTest.java: Test decoding program for the TYP
	  file.

2007-12-14  steve

	* .: Removed merge tracking for "svnmerge" for
	  https://svn.parabola.me.uk/svn/mkgmap/branches/imgread
	* src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/main/FileInfo.java: These should have
	  been removed as part of the change to remove package cycles.
	* ., Makefile, src/uk/me/parabola/imgfmt/ReadFailedException.java,
	  src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app/BufferedReadStrategy.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/CommonHeader.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLHeader.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/MapObject.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/RGNHeader.java,
	  src/uk/me/parabola/imgfmt/app/ReadStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/TREHeader.java,
	  src/uk/me/parabola/imgfmt/app/TYPFile.java,
	  src/uk/me/parabola/imgfmt/app/TYPHeader.java,
	  src/uk/me/parabola/imgfmt/app/WriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java: Merged revisions
	  456-465 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/imgread
	  
	  ........ r457 | steve | 2007-12-14 13:43:42 +0000 (Fri, 14 Dec
	  2007) | 7 lines NON-COMPILING Prepare to factor out the headers
	  from the file definitions. CommonHeader created and the TREHeader
	  that extends from that. ImgFile will not be used for reading and
	  writing directly, but will have reader and writer streams, which
	  will be implemented separately. ........ r458 | steve |
	  2007-12-14 14:27:32 +0000 (Fri, 14 Dec 2007) | 2 lines Separate
	  out the reader and writer in the ImgFile and add the header
	  there. Compiles, but will not work. ........ r459 | steve |
	  2007-12-14 15:17:35 +0000 (Fri, 14 Dec 2007) | 1 line Took all
	  the read/write methods off ImgFile and made everything use the
	  reader/writer. ........ r460 | steve | 2007-12-14 15:22:35 +0000
	  (Fri, 14 Dec 2007) | 1 line The RGN file and header now complete
	  and may work. ........ r461 | steve | 2007-12-14 17:52:03 +0000
	  (Fri, 14 Dec 2007) | 1 line Bug fixed and working. Verified same
	  results over a set of UK tiles. ........ r462 | steve |
	  2007-12-14 18:02:42 +0000 (Fri, 14 Dec 2007) | 1 line Code tidy
	  ........ r464 | steve | 2007-12-14 18:32:55 +0000 (Fri, 14 Dec
	  2007) | 1 line Made the TRE header a bit neater by reducing the
	  number of separate fields. ........
	* src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/imgfmt/app/MapReader.java,
	  src/uk/me/parabola/mkgmap/ArgumentProcessor.java,
	  src/uk/me/parabola/mkgmap/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/build/MapArea.java,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/build/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/combiners/Combiner.java,
	  src/uk/me/parabola/mkgmap/combiners/FileInfo.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/main/ArgumentProcessor.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/main/MapMaker.java,
	  src/uk/me/parabola/mkgmap/main/MapProcessor.java: Move classes
	  around to avoid pakcage cycles. Removed unused class.
	* src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java:
	  Removed unused or duplicate methods.
	* .: Initialized merge tracking via "svnmerge" with revisions
	  "1-455" from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/imgread
	* .: Removed merge tracking for "svnmerge" for
	  https://svn.parabola.me.uk/svn/mkgmap/branches/gmapsupp
	  https://svn.parabola.me.uk/svn/mkgmap/branches/filter
	  https://svn.parabola.me.uk/svn/mkgmap/branches/lang
	* ChangeLog: updated changelog

2007-12-12  steve

	* Makefile, src/uk/me/parabola/imgfmt/sys/ImgHeader.java: Fix for
	  not loading in map source. Increase the number in the header to
	  increase the size of the 'file system'
	* Makefile, src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java: Moved the line
	  size splitting so that it is nearby the polygon splitting.
	* Makefile, src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/mkgmap/main/FileInfo.java,
	  src/uk/me/parabola/mkgmap/main/Main.java: removed debugging
	  statements
	* ., Makefile, src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/MapReader.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/fs/DirectoryEntry.java,
	  src/uk/me/parabola/imgfmt/fs/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/mkgmap/combiners,
	  src/uk/me/parabola/mkgmap/combiners/Combiner.java,
	  src/uk/me/parabola/mkgmap/combiners/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/combiners/TdbBuilder.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/main/ArgumentProcessor.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/FileInfo.java,
	  src/uk/me/parabola/mkgmap/main/FilenameProcessor.java,
	  src/uk/me/parabola/mkgmap/main/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MapEventListener.java,
	  src/uk/me/parabola/mkgmap/main/MapMaker.java,
	  src/uk/me/parabola/mkgmap/main/MapProcessor.java,
	  src/uk/me/parabola/mkgmap/main/OverviewMapBuilder.java,
	  src/uk/me/parabola/mkgmap/main/package.html,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMap.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java:
	  Merged revisions 388-447 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/gmapsupp
	  
	  ................ r410 | steve | 2007-12-03 23:02:33 +0000 (Mon,
	  03 Dec 2007) | 2 lines Progressing with adding .img files to the
	  gmapsupp. Need to create a structure with just file sizes in I
	  think as that is all we actually use. ................ r411 |
	  steve | 2007-12-04 17:31:28 +0000 (Tue, 04 Dec 2007) | 3 lines
	  Before when we couldn't read .img files, there was a need for a
	  complex system to hook all the summarising functions into the
	  main map making process. We don't need to do this any more. We
	  are just going to reprocess the filenames, including any created
	  files. ................ r412 | steve | 2007-12-04 17:34:49 +0000
	  (Tue, 04 Dec 2007) | 9 lines Merged revisions 404 via svnmerge
	  from https://svn.parabola.me.uk/svn/mkgmap/trunk ........ r404 |
	  steve | 2007-12-03 12:11:46 +0000 (Mon, 03 Dec 2007) | 2 lines
	  Change to be compatible with java-5 ........ ................
	  r413 | steve | 2007-12-04 18:02:01 +0000 (Tue, 04 Dec 2007) | 1
	  line Get the output filenames from the map making process.
	  ................ r414 | steve | 2007-12-04 18:03:10 +0000 (Tue,
	  04 Dec 2007) | 9 lines Merged revisions 373 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/trunk ........ r373 | steve
	  | 2007-11-15 00:53:07 +0000 (Thu, 15 Nov 2007) | 1 line Remove
	  call to constructor that is not in 1.5 ........ ................
	  r415 | steve | 2007-12-04 18:06:57 +0000 (Tue, 04 Dec 2007) | 1
	  line Move the overview builders into a new package.
	  ................ r416 | steve | 2007-12-04 20:50:06 +0000 (Tue,
	  04 Dec 2007) | 2 lines Begin on separate reading of img file to
	  combine them. This is going to be a bigger task than I thought as
	  we need to read more of the files than I thought and we should
	  probably introduce file header classes for TRE etc.
	  ................ r418 | steve | 2007-12-05 21:24:26 +0000 (Wed,
	  05 Dec 2007) | 1 line got the bounds from the TRE section.
	  ................ r419 | steve | 2007-12-05 21:28:39 +0000 (Wed,
	  05 Dec 2007) | 1 line Add close method. ................ r420 |
	  steve | 2007-12-05 21:29:16 +0000 (Wed, 05 Dec 2007) | 1 line
	  Renamed formal param. ................ r442 | steve | 2007-12-09
	  23:40:45 +0000 (Sun, 09 Dec 2007) | 1 line Half way working for
	  the gmapsupp case. Looks like there is an off by one in the
	  header dir space calc. ................ r443 | steve | 2007-12-10
	  22:45:36 +0000 (Mon, 10 Dec 2007) | 1 line Fixed the off by one
	  error, caused by needing to round up. ................ r444 |
	  steve | 2007-12-10 22:53:16 +0000 (Mon, 10 Dec 2007) | 1 line Add
	  the tdb and overview map combiners. ................ r447 | steve
	  | 2007-12-12 14:33:31 +0000 (Wed, 12 Dec 2007) | 1 line Working
	  TDB and overview map generation. ................
	* src/uk/me/parabola/mkgmap/Version.java: Get version file from the
	  root directory in the classpath.
	* Makefile, src/uk/me/parabola/mkgmap/Version.java,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java: Add version
	  stamping of the resulting maps.

2007-12-09  steve

	* .: ignored files.
	* Makefile,
	  src/uk/me/parabola/imgfmt/FileNotWritableException.java,
	  src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/AnyCharsetEncoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/mkgmap/filters/FilterConfig.java,
	  src/uk/me/parabola/mkgmap/filters/MapFilterChain.java,
	  src/uk/me/parabola/mkgmap/filters/PolygonSplitterBase.java,
	  src/uk/me/parabola/mkgmap/filters/SmoothingFilter.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/main/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmXmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way5.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/TestPoints.java,
	  src/uk/me/parabola/tdbfmt/CopyrightBlock.java: Code tidy up.
	* src/uk/me/parabola/mkgmap/filters/PolygonSplitterBase.java,
	  src/uk/me/parabola/mkgmap/filters/SmoothingFilter.java: Remove
	  unsed code.
	* src/uk/me/parabola/mkgmap/filters/PolygonSizeSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java: Polygon splitting
	  code changes.
	* src/uk/me/parabola/mkgmap/build/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/build/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/filters/FilterConfig.java: Change to
	  use setResolution on filter config.
	* src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java: Make getLocation
	  public
	* src/uk/me/parabola/imgfmt/app/Area.java: Add contains methods
	* src/uk/me/parabola/mkgmap/main/MakeMap.java: Narrow scope of a
	  couple of variables
	* Makefile, src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/mkgmap/build/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java: Moved the polygon
	  size filtering code to where a level is initially created.

2007-12-08  steve

	* src/uk/me/parabola/mkgmap/filters/PolygonSplitterBase.java:
	  Remove name changing code.
	* Makefile, src/uk/me/parabola/imgfmt/app/LinePreparer.java,
	  src/uk/me/parabola/mkgmap/build/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/filters/PolygonSizeSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/filters/PolygonSplitterBase.java: Bug
	  in determining the number of bits for the deltas. Showed up in
	  the polygon splitting, but nothing to do with that splitting
	  specifically.

2007-12-07  steve

	* src/uk/me/parabola/mkgmap/filters/PolygonSizeSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java: The polygons
	  were not being split based on the resolution, which meant that
	  the overview map polygons were being split inappropriately.
	  
	  Move split to the correct place.
	  
	  The line splitting should be moved here too.

2007-12-06  steve

	* src/uk/me/parabola/mkgmap/general/MapDetails.java: Remove println
	* Makefile,
	  src/uk/me/parabola/mkgmap/filters/PolygonSizeSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/filters/PolygonSplitterBase.java,
	  src/uk/me/parabola/mkgmap/filters/PolygonSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java: Split polygons
	  for size as well as number of points. The splitting is improved
	  too I think.
	* ChangeLog: Update changelog
	* Makefile, src/uk/me/parabola/mkgmap/filters/SmoothingFilter.java:
	  Tone down the smoothing a lot as it was way over the top.
	* ., src/uk/me/parabola/mkgmap/filters/LineSizeSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java: Merged
	  revisions 424 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/filters
	  
	  ........ r424 | steve | 2007-12-06 21:09:28 +0000 (Thu, 06 Dec
	  2007) | 1 line Trivial bug where I was subtracting max-max not
	  max-min ........

2007-12-05  steve

	* ., src/uk/me/parabola/mkgmap/filters/LineSizeSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java: Merged
	  revisions 417-422 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/filters
	  
	  ........ r421 | steve | 2007-12-05 23:34:24 +0000 (Wed, 05 Dec
	  2007) | 1 line Split lines that are too big in the sense of size,
	  rather than too many points. ........ r422 | steve | 2007-12-05
	  23:35:34 +0000 (Wed, 05 Dec 2007) | 1 line remove debugging
	  ........

2007-12-04  steve

	* ., Makefile, src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/mkgmap/build,
	  src/uk/me/parabola/mkgmap/build/LayerFilterChain.java,
	  src/uk/me/parabola/mkgmap/build/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/build/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/build/package.html,
	  src/uk/me/parabola/mkgmap/filters,
	  src/uk/me/parabola/mkgmap/filters/BaseFilter.java,
	  src/uk/me/parabola/mkgmap/filters/FilterConfig.java,
	  src/uk/me/parabola/mkgmap/filters/LineSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/filters/MapFilter.java,
	  src/uk/me/parabola/mkgmap/filters/MapFilterChain.java,
	  src/uk/me/parabola/mkgmap/filters/PolygonSplitterFilter.java,
	  src/uk/me/parabola/mkgmap/filters/RemoveEmpty.java,
	  src/uk/me/parabola/mkgmap/filters/SmoothingFilter.java,
	  src/uk/me/parabola/mkgmap/filters/package.html,
	  src/uk/me/parabola/mkgmap/general/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapShape.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/OverviewMapBuilder.java: Merged
	  revisions 391-416 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/filters
	  
	  ........ r391 | steve | 2007-12-01 17:22:34 +0000 (Sat, 01 Dec
	  2007) | 1 line Broke out the splitting of lines a little.
	  ........ r392 | steve | 2007-12-01 17:28:23 +0000 (Sat, 01 Dec
	  2007) | 1 line Remove the inline line splitting code. ........
	  r393 | steve | 2007-12-01 20:29:03 +0000 (Sat, 01 Dec 2007) | 1
	  line Create filter infrastructure. ........ r394 | steve |
	  2007-12-02 14:35:27 +0000 (Sun, 02 Dec 2007) | 2 lines A working
	  implementation, although there is more to break out into filters
	  and then we need to add some more functionality. ........ r395 |
	  steve | 2007-12-02 22:12:43 +0000 (Sun, 02 Dec 2007) | 1 line
	  rename filter chain ........ r396 | steve | 2007-12-02 22:13:25
	  +0000 (Sun, 02 Dec 2007) | 1 line rename line splitting filter
	  ........ r397 | steve | 2007-12-03 09:00:24 +0000 (Mon, 03 Dec
	  2007) | 1 line rename line splitting filter, add polygon splitter
	  ........ r398 | steve | 2007-12-03 10:28:16 +0000 (Mon, 03 Dec
	  2007) | 1 line Make sure that lines are always copied before
	  changing their points as this would change them for all levels.
	  ........ r399 | steve | 2007-12-03 10:29:17 +0000 (Mon, 03 Dec
	  2007) | 1 line Add the copy constructors to the MapShape class
	  too. ........ r400 | steve | 2007-12-03 11:03:36 +0000 (Mon, 03
	  Dec 2007) | 1 line Add filtering for polygons and only add the
	  line filter for lines and the polygon filters for polygons...
	  ........ r401 | steve | 2007-12-03 11:22:18 +0000 (Mon, 03 Dec
	  2007) | 1 line Some tidying ........ r402 | steve | 2007-12-03
	  12:07:22 +0000 (Mon, 03 Dec 2007) | 1 line Split out files from
	  the general package that do the actual general-->garmin
	  conversion. ........ r405 | steve | 2007-12-03 17:23:48 +0000
	  (Mon, 03 Dec 2007) | 1 line Useful amount of smothing applied.
	  ........ r406 | steve | 2007-12-03 20:58:29 +0000 (Mon, 03 Dec
	  2007) | 1 line Fix where was not returning after chaining the
	  filter. ........ r407 | steve | 2007-12-03 20:59:07 +0000 (Mon,
	  03 Dec 2007) | 1 line Now we have a polygon splitter. Polygons
	  that have too many points will be split. ........ r408 | steve |
	  2007-12-03 21:16:07 +0000 (Mon, 03 Dec 2007) | 2 lines Remove
	  println's ........ r409 | steve | 2007-12-03 21:23:57 +0000 (Mon,
	  03 Dec 2007) | 1 line Now that the smoothing is in a filter,
	  remove the old code to remove duplicate points. ........

2007-12-03  steve

	* src/uk/me/parabola/imgfmt/app/labelenc/AnyCharsetEncoder.java:
	  Change to be compatible with java-5
	* .: Initialized merge tracking via "svnmerge" with revisions
	  "1-389" from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/filters

2007-11-24  steve

	* ., Makefile, src/uk/me/parabola/imgfmt/sys/BlockManager.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/package.html,
	  src/uk/me/parabola/mkgmap/main/FileInfo.java,
	  src/uk/me/parabola/mkgmap/main/GmapsuppBuilder.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MapEventListener.java,
	  src/uk/me/parabola/mkgmap/main/MapEvents.java,
	  src/uk/me/parabola/mkgmap/main/MapProcessor.java,
	  src/uk/me/parabola/mkgmap/main/OverviewMapBuilder.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java:
	  Merged revisions 371-377,379-384,386-387 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/gmapsupp
	  
	  ........ r371 | steve | 2007-11-15 00:21:24 +0000 (Thu, 15 Nov
	  2007) | 2 lines Allow several different listeners to be added to
	  the map making processes. One will be the overview map as before,
	  and we need to keep track of input files for the gmapsupp too.
	  ........ r377 | steve | 2007-11-15 10:06:37 +0000 (Thu, 15 Nov
	  2007) | 2 lines Part of the rename ........ r379 | steve |
	  2007-11-15 12:36:38 +0000 (Thu, 15 Nov 2007) | 1 line Its clear
	  how the skeleton of the implementation is going to play out now.
	  ........ r380 | steve | 2007-11-15 15:43:36 +0000 (Thu, 15 Nov
	  2007) | 3 lines The first working gmapsupp.img file produced. It
	  does not have an overview map or an TDB but that doesn't actually
	  seem to matter and it works find on my garmin device. In fact you
	  are probably not supposed to put the TDB and the overview in
	  there? Is it just for mapsource? ........ r381 | steve |
	  2007-11-15 16:39:17 +0000 (Thu, 15 Nov 2007) | 3 lines Use linked
	  hash map for predictible ordering of the maps in the output.
	  Break up a deeply nested routine a bit. ........ r383 | steve |
	  2007-11-17 11:45:06 +0000 (Sat, 17 Nov 2007) | 1 line FIx some
	  problems with the header. ........ r384 | steve | 2007-11-17
	  14:54:26 +0000 (Sat, 17 Nov 2007) | 2 lines Update to new
	  location of tests. ........

2007-11-23  steve

	* ., Makefile,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java:
	  Merged revisions 385 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/gmapsupp
	  
	  ........ r385 | steve | 2007-11-22 20:59:42 +0000 (Thu, 22 Nov
	  2007) | 1 line Upper case the strings read in from the
	  translitteration tables. Else if you have Ch for example, then
	  the 'h' does not show up. ........
	* .: Initialized merge tracking via "svnmerge" with revisions
	  "1-369" from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/gmapsupp

2007-11-15  steve

	* build.xml: Copy the doc to the distribution directory.
	* src/uk/me/parabola/mkgmap/main/MakeTestLang10Map.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLangMap.java: Fix calls to
	  PolylineOverview() constructor, note that these files probably
	  don't work any longer anyway.
	* src/uk/me/parabola/mkgmap/reader/plugin/MapperBasedMapDataSource.java:
	  This should have been removed in the previous commit
	* src/uk/me/parabola/mkgmap/reader/MapperBasedMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java:
	  Get rid of package dependancy cycle
	* src/uk/me/parabola/imgfmt/FileNotWritableException.java: Remove
	  call to constructor that is not in 1.5
	* README: Bring the README file more up to date.

2007-11-14  steve

	* Makefile, src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java: Fix the
	  overview records.
	* ., build.xml, resources/chars, resources/chars/ascii,
	  resources/chars/ascii/row00.trans,
	  resources/chars/ascii/row01.trans,
	  resources/chars/ascii/row02.trans,
	  resources/chars/ascii/row03.trans,
	  resources/chars/ascii/row04.trans,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/AnyCharsetEncoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/BaseEncoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/TableCreator.java: Merged
	  revisions 345-350,352-366 via svnmerge from
	  https://svn.parabola.me.uk/svn/mkgmap/branches/lang
	  
	  ........ r345 | steve | 2007-11-02 00:33:22 +0000 (Fri, 02 Nov
	  2007) | 1 line allow any charset as a target ........ r350 |
	  steve | 2007-11-03 17:45:54 +0000 (Sat, 03 Nov 2007) | 1 line
	  Allow for making upper-casing optional ........ r352 | steve |
	  2007-11-04 16:49:05 +0000 (Sun, 04 Nov 2007) | 2 lines Make all
	  the transliteration for the acsii-only mode to be table driven.
	  ........ r353 | steve | 2007-11-04 19:03:47 +0000 (Sun, 04 Nov
	  2007) | 2 lines Added missing (blank) character translit maps.
	  ........ r354 | steve | 2007-11-04 20:00:53 +0000 (Sun, 04 Nov
	  2007) | 2 lines Build changes needed for character tables.
	  ........ r360 | steve | 2007-11-06 23:02:49 +0000 (Tue, 06 Nov
	  2007) | 2 lines Russian transliteration provided by User:Liosha
	  ........

2007-11-13  steve

	* src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java:
	  Changed default level definitions.
	* resources/map-features.csv, resources/osm_garmin_map.csv:
	  Improved set of levels for the map features by Jochen Topf.
	* src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/PointOverview.java,
	  src/uk/me/parabola/imgfmt/app/PolygonOverview.java,
	  src/uk/me/parabola/imgfmt/app/PolylineOverview.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java:
	  Finally made the overview sections actually reflect the levels at
	  which things appear. Calculate the levels for the overview map,
	  so that they do not overlap with any of the inputs, even if they
	  are set to non-default values.

2007-11-10  steve

	* Makefile, src/uk/me/parabola/mkgmap/main/OverviewMapBuilder.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Fix the dimentions in the
	  TDB file. Couple of other fixes for the overview map. Also the
	  name of the overview map now does not have the trailing zeros.
	* src/uk/me/parabola/imgfmt/sys/Dirent.java: If the name is not
	  eight characters then truncate or left pad with zeros.

2007-11-09  steve

	* src/uk/me/parabola/imgfmt/app/TREFile.java: Back out mistaken
	  checking that broke the map.

2007-11-06  steve

	* src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java:
	  Characters between 1d and 1f can just go through unchanged.
	* Makefile, src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java: More reliably
	  work with QLandkarte. Calculation of the size of the TRE subdiv
	  region was wrong when the lowest level was not 0, such as happens
	  in the overview map.

2007-11-05  steve

	* ChangeLog, Makefile,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm4MapDataSource.java:
	  Version 0.3 works like 0.4 and recentish files claim to be 0.3 so
	  include them in the 0.4 support
	* src/uk/me/parabola/tdbfmt/CopyrightBlock.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/TestTdb.java: Don't repeat copyright
	  statements.

2007-11-04  steve

	* doc, test: Add some ignores

2007-11-03  steve

	* src/uk/me/parabola/mkgmap/reader/osm/Osm4MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/plugin/MapReader.java: OSM api
	  v0.5 is now the default format. 0.4 is still supported and
	  detected automatically so there is not much difference.
	* src/uk/me/parabola/mkgmap/reader/osm/Osm4MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/plugin/MapperBasedMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java:
	  Allow reading from zip compressed files. This is done by file
	  extension and not the actual type of file.
	* .: Initialized merge tracking via "svnmerge" with revisions
	  "1-343" from https://svn.parabola.me.uk/svn/mkgmap/branches/lang

2007-11-02  steve

	* src/uk/me/parabola/imgfmt/app/TYPFile.java: Skeleton code added

2007-10-29  steve

	* Makefile, src/uk/me/parabola/imgfmt/FileSystemParam.java,
	  src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/fs/DirectoryEntry.java,
	  src/uk/me/parabola/imgfmt/fs/FileSystem.java,
	  src/uk/me/parabola/imgfmt/fs/ImgChannel.java,
	  src/uk/me/parabola/imgfmt/sys/BlockManager.java,
	  src/uk/me/parabola/imgfmt/sys/BlockTable.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/imgfmt/sys/HeaderDirent.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java,
	  src/uk/me/parabola/log/UsefulFormatter.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/TestAll.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/plugin/MapperBasedMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java,
	  src/uk/me/parabola/tdbfmt/Block.java, test, test/java,
	  test/java/test: Merged in the img file reading support. The
	  underlying img read code (at the imgfmt.sys level) has been
	  heavily changed, so watch out. Appears to give the same result
	  files as before though.
	  
	  In addition to read support, you should find that blocksizes
	  other than 512 now actually work.
	  
	  Combining .img files into a gmapsupp.img file is now possible,
	  although not implemented just yet.

2007-10-25  steve

	* src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java: Add
	  line number and column number on parser errors.
	* src/uk/me/parabola/mkgmap/main/MakeMap.java: Now that we can have
	  more than one file on the command line, we should deal with
	  errors in induvidual files and then go on to the next. (bug
	  reported by User:Lambertus)

2007-10-21  steve

	* src/uk/me/parabola/mkgmap/general/MapBuilder.java: Was adding one
	  instead of subtracting when making the number of bits for the top
	  invible level.
	  
	  Thanks to Petr Schönmann for pointing this out

2007-10-20  steve

	* src/uk/me/parabola/imgfmt/app/TREFile.java: Removed unused
	  statement.
	* src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Add more comments.
	* src/uk/me/parabola/imgfmt/app/TREFile.java: Account for the size
	  of the final RGN pointer, so that the TRE section size is
	  correct.

2007-10-18  steve

	* ChangeLog, Makefile: Update changelog file.
	* src/uk/me/parabola/mkgmap/reader/osm/CodedConverter.java: Remove
	  deprecated tag, its more just unused.
	* src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/mkgmap/general/MapBuilder.java: Fix the
	  markers at the end of a group of subdivisions. I was only putting
	  the end marker on the last divsion in a level. Each set of
	  divisions that has the same parent should have an end marker
	  though.
	  
	  This fixes the 'Find' bug, and seems to make the map faster in
	  dense areas.
	* src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java:
	  Prevent too many levels being used as this leads to maps that
	  cause a crash.

2007-10-15  steve

	* src/uk/me/parabola/mkgmap/general/MapBuilder.java: Split up long
	  lines, this will help with coastlines, contours etc as there
	  appears to be a limit of around 250 points that you can have in a
	  line on the garmin devices.
	* src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java:
	  Implement the EndLevels (and it varients) and add the old RGN10
	  etc section names.

2007-10-14  steve

	* Makefile, resources/map-features.csv,
	  resources/osm_garmin_map.csv,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Hack to display contours with thier heights.
	* src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java:
	  Add coastlines and cities to the overview. I guess this should be
	  driven by a full map-features file.
	* src/uk/me/parabola/mkgmap/main/CommandArgs.java: Command argument
	  can now be read from a file, including input files and further
	  files to read options from.
	* src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/mkgmap/general/LevelInfo.java,
	  src/uk/me/parabola/mkgmap/general/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/OverviewMapBuilder.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way4.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way5.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/plugin/MapperBasedMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/AllElements.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/TestPoints.java,
	  src/uk/me/parabola/tdbfmt/Block.java,
	  src/uk/me/parabola/tdbfmt/CopyrightBlock.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java: Merged in code
	  cleanup from the gui branch. That branch is now merged up to r299

2007-10-12  steve

	* Makefile,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java: If a
	  node that is part of a way is missing, then dont add a null
	  point...

2007-10-07  steve

	* doc/features.txt: Will be list of features.

2007-10-06  steve

	* ., ChangeLog, Makefile, resources/MANIFEST.MF, resources/README,
	  src/uk/me/parabola/imgfmt/app/InternalFiles.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Bit10Encoder.java,
	  src/uk/me/parabola/log/UsefulFormatter.java,
	  src/uk/me/parabola/mkgmap/general/LevelInfo.java,
	  src/uk/me/parabola/mkgmap/general/LoadableMapDataSource.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapBuilder.java,
	  src/uk/me/parabola/mkgmap/general/MapDataSource.java,
	  src/uk/me/parabola/mkgmap/main/ArgumentProcessor.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/FilenameProcessor.java,
	  src/uk/me/parabola/mkgmap/main/Main.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MapEvents.java,
	  src/uk/me/parabola/mkgmap/main/MapOption.java,
	  src/uk/me/parabola/mkgmap/main/MapProcessor.java,
	  src/uk/me/parabola/mkgmap/main/OverviewMapBuilder.java,
	  src/uk/me/parabola/mkgmap/main/TestAll.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/overview,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMap.java,
	  src/uk/me/parabola/mkgmap/reader/overview/OverviewMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/overview/package.html,
	  src/uk/me/parabola/mkgmap/reader/plugin/MapperBasedMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java,
	  src/uk/me/parabola/tdbfmt/Block.java,
	  src/uk/me/parabola/tdbfmt/CopyrightBlock.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/DetailMapBlock.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Merged in the
	  overview/tdb branch.
	* doc/map-features.txt: Customising the map.

2007-10-04  steve

	* doc/map-features.txt, doc/mkgmap-man.txt: First stab at some
	  documentation

2007-10-01  steve

	* ChangeLog: Update the changelog file.

2007-09-25  steve

	* Makefile: makefile changes

2007-09-24  steve

	* src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPointMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPolygonMap.java,
	  src/uk/me/parabola/mkgmap/main/TestAll.java,
	  src/uk/me/parabola/mkgmap/main/package.html: Removed test
	  programs that are replaced by the test-map:all-elements map and
	  indeed probably don't even work any more.
	* src/uk/me/parabola/tdbfmt/Block.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/DetailMapBlock.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Code cleanup.

2007-09-23  steve

	* resources/map-features.csv, resources/osm_garmin_map.csv: fix
	  previous change and made the map-features file.
	* resources/osm_garmin_map.csv: Slight tweek to reduce the number
	  of towns at low res.
	* src/uk/me/parabola/mkgmap/reader/osm/Osm4MapDataSource.java:
	  Removed imports that are not used any more.
	* src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Not setting the resolution in the default (old) case.
	* src/uk/me/parabola/tdbfmt/Block.java,
	  src/uk/me/parabola/tdbfmt/CopyrightBlock.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/DetailMapBlock.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java,
	  src/uk/me/parabola/tdbfmt/StructuredInputStream.java,
	  src/uk/me/parabola/tdbfmt/StructuredOutputStream.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Javadoc and code tidy up.
	* src/uk/me/parabola/tdbfmt/Block.java,
	  src/uk/me/parabola/tdbfmt/CopyrightBlock.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/DetailMapBlock.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java,
	  src/uk/me/parabola/tdbfmt/StructuredOutputStream.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java,
	  src/uk/me/parabola/tdbfmt/TestTdb.java: Now can write out the tdb
	  file so it is identical to the file that was read in. Not
	  particularly useful, but shows that all is working.
	* resources/map-features.csv, resources/osm_garmin_map.csv: Tweeked
	  map features.
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java: Add
	  warning for when a region is overflowing.
	* src/uk/me/parabola/mkgmap/reader/test/AllElements.java: wasn't
	  showing all the lines.
	* src/uk/me/parabola/tdbfmt/TdbFile.java,
	  src/uk/me/parabola/tdbfmt/Test.java,
	  src/uk/me/parabola/tdbfmt/TestTdb.java: Some tidying around tdb
	  test.
	* src/uk/me/parabola/tdbfmt/CopyrightBlock.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/DetailMapBlock.java,
	  src/uk/me/parabola/tdbfmt/EndOfFileException.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java,
	  src/uk/me/parabola/tdbfmt/StructuredInputStream.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java,
	  src/uk/me/parabola/tdbfmt/TestTdb.java: Javadoc additions
	* src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/mkgmap/main/TestAll.java: Fuller test
	  coverage.
	* src/uk/me/parabola/tdbfmt/Block.java,
	  src/uk/me/parabola/tdbfmt/CopyrightBlock.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/DetailMapBlock.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java,
	  src/uk/me/parabola/tdbfmt/StructuredInputStream.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java: Full decoding of the TDB
	  file now.
	* src/uk/me/parabola/tdbfmt/Block.java,
	  src/uk/me/parabola/tdbfmt/CopyrightSegment.java,
	  src/uk/me/parabola/tdbfmt/DetailMapBlock.java,
	  src/uk/me/parabola/tdbfmt/EndOfFileException.java,
	  src/uk/me/parabola/tdbfmt/HeaderBlock.java,
	  src/uk/me/parabola/tdbfmt/OverviewMapBlock.java,
	  src/uk/me/parabola/tdbfmt/StructuredInputStream.java,
	  src/uk/me/parabola/tdbfmt/TdbFile.java,
	  src/uk/me/parabola/tdbfmt/Test.java,
	  src/uk/me/parabola/tdbfmt/package.html: Initial code for the TDB
	  file.
	  
	  As there are no programs that simply print the contents out, then
	  the first task is to be able to do this so that we can check that
	  we are producing the correct things.
	* src/uk/me/parabola/imgfmt/fs/ImgChannel.java: javadoc
	  clarification

2007-09-22  steve

	* src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestElementMap.java,
	  src/uk/me/parabola/mkgmap/reader/plugin/MapReader.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java:
	  You can now set the level definitions from the command line and
	  choose another map-features file too. --map-features=file
	  --levels=0:24,1:22,2:20 (or you can use 0=24 etc)
	* src/uk/me/parabola/mkgmap/ConfiguredByProperties.java,
	  src/uk/me/parabola/mkgmap/general/LevelInfo.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/reader/MapReader.java,
	  src/uk/me/parabola/mkgmap/reader/PropertyConfiguredReader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm4MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmXmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/plugin,
	  src/uk/me/parabola/mkgmap/reader/plugin/MapReader.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java:
	  You can now set the level definitions from the command line and
	  choose another map-features file too. --map-features=file
	  --levels=0:24,1:22,2:20 (or you can use 0=24 etc)
	* src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java:
	  Implement the selective node creation for osm5, the same as for
	  osm4
	* resources/feature_map.csv, resources/map-features.csv,
	  resources/osm_garmin_map.csv,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Now have a new name for the feature map file map-features.csv
	* resources/feature_map.csv, scripts/mk_map_table.py: Add extra
	  column to the feature map file.
	* resources/garmin_feature_list.csv, resources/osm_garmin_map.csv,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/reader/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java:
	  Now read the resolutions from the feature map file.

2007-09-20  steve

	* src/uk/me/parabola/mkgmap/main/CommandArgs.java: typo fix

2007-09-19  steve

	* src/uk/me/parabola/log/Logger.java: Logging routines more
	  consistant.

2007-09-18  steve

	* src/uk/me/parabola/log/Logger.java: Logging routines more
	  consistant.
	* Makefile,
	  src/uk/me/parabola/mkgmap/reader/osm/OSM5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmXmlHandler.java: Name
	  change for OSM --> Osm

2007-09-15  steve

	* src/uk/me/parabola/log/UsefulFormatter.java: The formatter must
	  be public so that the LogManager can see it.
	* src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way.java: Better lookup of
	  features by stepping through tags and not by stepping through the
	  list of features.
	  
	  Most nodes are just parts of a line. Try to prevent converting
	  nodes that are definitly not stand alone (eg just have a
	  created_by tag).
	  
	  Saves about 5%
	* Makefile, src/uk/me/parabola/mkgmap/main/MakeTestElementMap.java,
	  src/uk/me/parabola/mkgmap/reader/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/package.html: Documentation
	  and small changes.

2007-09-13  steve

	* Makefile, src/uk/me/parabola/imgfmt/app/BitWriter.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/MapObject.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Latin2Encoder.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/log/UsefulFormatter.java,
	  src/uk/me/parabola/mkgmap/general/LevelFilter.java,
	  src/uk/me/parabola/mkgmap/general/LevelInfo.java,
	  src/uk/me/parabola/mkgmap/general/LoadableMapDataSource.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestElementMap.java,
	  src/uk/me/parabola/mkgmap/reader/MapReader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Node.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OSM5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way5.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/AllElements.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/TestPoints.java: Code tidy
	  up.
	* src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java: Fix
	  spelling. (Bruce Cowan)
	* src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/mkgmap/general/LevelInfo.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Node.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way.java,
	  src/uk/me/parabola/mkgmap/reader/osm/package.html,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java:
	  Made many classes package local again, now that I've recombined
	  the OSM readers into the one package.
	* src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/reader/MapReader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OSM5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way5.java,
	  src/uk/me/parabola/mkgmap/reader/osm5: Remove osm5 directory and
	  move all to the osm package.

2007-09-12  steve

	* src/uk/me/parabola/mkgmap/reader/osm/Node.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Node4.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm5/Node5.java,
	  src/uk/me/parabola/mkgmap/reader/osm5/OSM5XmlHandler.java: Got
	  rid of Node4 and 5 as they were just the same anyway. The
	  interface went as well.
	* resources/garmin_feature_list.csv, resources/osm_garmin_map.csv:
	  Extensive work-through of features from going through
	  test-map:all-elements

2007-09-11  steve

	* ChangeLog, Makefile: New changelog checked in.
	* scripts/mk_map_table.py: Change needed to create map_features
	* resources/feature_map.csv, resources/garmin_feature_list.csv,
	  resources/osm_garmin_map.csv: A few more features added. Basic
	  city/town support, but can be better and use the indexed point
	  feature of the maps.
	* resources/logging.properties,
	  src/uk/me/parabola/mkgmap/reader/MapReader.java,
	  src/uk/me/parabola/mkgmap/reader/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Node.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Node4.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way4.java,
	  src/uk/me/parabola/mkgmap/reader/osm5,
	  src/uk/me/parabola/mkgmap/reader/osm5/Node5.java,
	  src/uk/me/parabola/mkgmap/reader/osm5/OSM5XmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm5/Osm5MapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm5/Way5.java: Added support
	  for api version 0.5. Usage is transparent - it works out the
	  difference between 0.4 and 0.5 automatically and uses the right
	  reader.
	* src/uk/me/parabola/mkgmap/general/MapSplitter.java: Remove
	  assertion so will compile out of svn

2007-09-09  steve

	* src/uk/me/parabola/log/Logger.java: Make default for static setup
	  SEVERE
	* src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Made a lot of
	  changes to the way that the subdivisions are split. It should now
	  be the case that there are no empty sections within the RGN files
	  ie if there are no points then the flag to say there are points
	  will not be set.
	  
	  Doesn't appear to fix the 'find' bug. Does seem to fix the
	  problem shown by imgdecode, where at lower-res levels there are
	  wierd all over the place polygons.
	  
	  Not really tested much at all though.
	* src/uk/me/parabola/mkgmap/general/MapElement.java: Comments to
	  explain min resolution better and the direction it is going in.
	* src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java:
	  Update the polish input format, so that it places elements at the
	  levels specified in the file and not at the default levels.
	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java:
	  javadoc etc.
	* src/uk/me/parabola/log/Logger.java: Print warning if log config
	  file could not be opened.
	* src/uk/me/parabola/imgfmt/app/Subdivision.java: Round the sizes
	  before shifting them.
	* build.xml, src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/log/UsefulFormatter.java: Convert the logging
	  to use j.u.l underneath. You can still use varargs in the logging
	  calls and the interface is just the same (use debug() instead of
	  fine() etc).
	  
	  Was it worth it? Probably not. Should be able to selectively
	  switch on some logging now though.

2007-09-08  steve

	* src/uk/me/parabola/imgfmt/app/RGNFile.java: Cosmetic changes
	* src/uk/me/parabola/mkgmap/reader/test/ManyPoints.java: Checkin
	  deleted file after re-naming
	* src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/reader/MapReader.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/TestPoints.java: A test map
	  to look into the 'find' bug.

2007-09-03  steve

	* src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/reader/PropertyConfiguredReader.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/ManyPoints.java: The test
	  map I am using to debug the 'find' problem and missing points
	  problem.
	* src/uk/me/parabola/mkgmap/main/CommandArgs.java: Make public
	* src/uk/me/parabola/mkgmap/main/CommandArgs.java: Remove comment
	  that I don't really believe in.
	* src/uk/me/parabola/mkgmap/main/MakeMap.java: Fix call to function
	  that is not checked in.
	* src/uk/me/parabola/mkgmap/general/MapSplitter.java: Comment
	  changed.
	* src/uk/me/parabola/mkgmap/main/MakeMap.java: Remove adding the
	  dummy overview. It doesn't get added to the end since we now sort
	  them, and the lack of sorting is probably the reason that they
	  were added in the first place(?)
	* src/uk/me/parabola/mkgmap/reader/test/AllElements.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java:
	  Get the right values for the max number of lines and shapes.

2007-09-02  steve

	* src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/main/AbstractTestMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestElementMap.java,
	  src/uk/me/parabola/mkgmap/reader/MapReader.java,
	  src/uk/me/parabola/mkgmap/reader/test,
	  src/uk/me/parabola/mkgmap/reader/test/AllElements.java,
	  src/uk/me/parabola/mkgmap/reader/test/ElementTestDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/test/package.html: New test data
	  source. It generates test maps. Try it by using TEST:ALL-ELEMENTS
	  as the input file name.
	* src/uk/me/parabola/mkgmap/main/AbstractTestMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLang10Map.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLangMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPointMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPolygonMap.java: Remove
	  writeOverviews from superclass, make a call in the one place it
	  is used and remove all other usages.
	* src/uk/me/parabola/imgfmt/FileNotWritableException.java: Fix typo
	  in comment
	* src/uk/me/parabola/imgfmt/app/labelenc/Bit10Encoder.java: The
	  so-called 10-bit encoder, spoils the package dependancies and is
	  probably not even correct. I'd imagine that they would just use
	  unicode for other international character sets.
	* src/uk/me/parabola/imgfmt/FileNotWritableException.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/mkgmap/main/AbstractTestMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Fix exception
	  handling on unwritable files to be clearer.
	* src/uk/me/parabola/mkgmap/general/LoadableMapDataSource.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java:
	  The input format interface now has two new methods. One to
	  determine if a given file is supported, and one to return
	  suitable map levels for the map.
	* resources/README: Added readme file.
	* src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/reader/MapReader.java: Separate out the
	  code to determine what kind of input file is in use. This will
	  allow a more plugin type approach in the future.
	* Makefile, src/uk/me/parabola/mkgmap/main/MakeMap.java: 1. Code to
	  simplify the lines before they are written. 2. Change needed for
	  the moving of the reader classes.
	* src/uk/me/parabola/imgfmt/FileExistsException.java,
	  src/uk/me/parabola/imgfmt/app/package.html,
	  src/uk/me/parabola/imgfmt/fs/DirectoryEntry.java,
	  src/uk/me/parabola/imgfmt/fs/ImgChannel.java,
	  src/uk/me/parabola/imgfmt/package.html,
	  src/uk/me/parabola/mkgmap/general/LevelInfo.java,
	  src/uk/me/parabola/mkgmap/general/package.html,
	  src/uk/me/parabola/mkgmap/main/AbstractTestMap.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/package.html,
	  src/uk/me/parabola/mkgmap/reader/polish/package.html: Many
	  javadoc improvements.
	* src/uk/me/parabola/mkgmap/general/LevelInfo.java,
	  src/uk/me/parabola/mkgmap/osm, src/uk/me/parabola/mkgmap/polish:
	  Move LevelInfo into the general directory.
	* src/uk/me/parabola/mkgmap/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/osm/Element.java,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/osm/Node.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/osm/Segment.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java,
	  src/uk/me/parabola/mkgmap/polish/PolishMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader,
	  src/uk/me/parabola/mkgmap/reader/osm,
	  src/uk/me/parabola/mkgmap/reader/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Element.java,
	  src/uk/me/parabola/mkgmap/reader/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Node.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/reader/osm/OsmMapDataSource.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Segment.java,
	  src/uk/me/parabola/mkgmap/reader/osm/Way.java,
	  src/uk/me/parabola/mkgmap/reader/osm/package.html,
	  src/uk/me/parabola/mkgmap/reader/polish,
	  src/uk/me/parabola/mkgmap/reader/polish/PolishMapDataSource.java:
	  Move input formats into their own directory. Will make it clearer
	  how to add new input formats, such as shape files.

2007-09-01  steve

	* src/uk/me/parabola/mkgmap/polish,
	  src/uk/me/parabola/mkgmap/polish/PolishMapDataSource.java: Add
	  the polish format as an input choice.
	* src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java: Re-allow
	  5 field files again.

2007-08-31  steve

	* src/uk/me/parabola/imgfmt/app/Map.java: Give a message when it is
	  not possible to create the output map file.

2007-08-27  steve

	* src/uk/me/parabola/mkgmap/general/MapDetails.java: Imports
	  re-arranged.
	* src/uk/me/parabola/mkgmap/general/MapSplitter.java: don't repeat
	  code in the constructors.

2007-08-25  steve

	* Makefile, README,
	  src/uk/me/parabola/imgfmt/app/labelenc/Latin2Encoder.java,
	  src/uk/me/parabola/mkgmap/general/LoadableMapDataSource.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/package.html: Small tidy ups for
	  release.
	* src/uk/me/parabola/mkgmap/general/MapDetails.java: Check for
	  empty areas and lines.
	  
	  Fixes bug rendering:
	  http://openstreetmap.gryph.de/germany/germany-070823.osm.bz2
	* src/uk/me/parabola/imgfmt/app/Area.java: Make sure that areas
	  never have a zero width or height. Avoids the problem below.
	  
	  Bearbeite Kachelnummer: 63253506 Exception in thread "main"
	  java.lang.ArithmeticException: / by zero at
	  uk.me.parabola.mkgmap.general.MapArea.pickArea(MapArea.java:361)
	* src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java: We need to make
	  sure that points are included in the calculation of the size of
	  the area. Otherwise it is posible for the point to be outside the
	  map area altogether. If it happens to outside to the west or
	  south then you get the error below.
	  
	  Bearbeite Kachelnummer: 63247525 Exception in thread "main"
	  java.lang.ArrayIndexOutOfBoundsException: -9 at
	  uk.me.parabola.mkgmap.general.MapArea.pickArea(MapArea.java:373)
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java: Fix
	  ensureSize() properly so that we never run out of space.
	  
	  Bearbeite Kachelnummer: 63243936 Exception in thread "main"
	  java.nio.BufferOverflowException at
	  java.nio.HeapByteBuffer.put(HeapByteBuffer.java:165)

2007-08-21  steve

	* src/uk/me/parabola/mkgmap/general/MapArea.java: Re-instated part
	  of the RGN overflow change.
	* src/uk/me/parabola/mkgmap/general/MapArea.java: Remove println
	  that should have been removed.
	* ChangeLog, Makefile: Changelog and makefile changes only
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java:
	  Possible fix for overflow in output buffer.
	* src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java: Attempted fix
	  for overflowing RGN section.

2007-08-19  steve

	* Makefile: Add note that this is not really used to build
	* src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java: Allow
	  coastlines to show up at all resolutions.
	* resources/feature_map.csv, resources/garmin_feature_list.csv,
	  resources/osm_garmin_map.csv: Fix the feature lists which seemed
	  to be populated with all kinds of weird things.
	* src/uk/me/parabola/imgfmt/app/LBLFile.java: Improve description
	  on javadoc for newLabel (now that it doesn't always return a new
	  lable)
	* src/uk/me/parabola/imgfmt/app/LBLFile.java: Keep a cache of label
	  names so that we do not create multiple labels for the same piece
	  of text. Greatly reduces the size of the label section.
	* src/uk/me/parabola/imgfmt/app/Coord.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java: Allocate elements
	  to sub-divisions based on the mid-point of the element rather
	  than the first point in the line/polygon. This will create less
	  overlapping of the sub-divisions, which may make the map faster
	  on the Garmin units. To do reduce sub-division overlapping
	  further will require splitting lines. It may not be worth
	  reducing overlap either.

2007-08-15  steve

	* src/uk/me/parabola/mkgmap/main/ExitException.java: This should
	  have been removed by the previous commit.
	* ChangeLog, src/uk/me/parabola/mkgmap/ExitException.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java: Move
	  ExitException to remove cycle in the package structure.

2007-06-23  steve

	* src/uk/me/parabola/mkgmap/general/MapArea.java: Getting rid of
	  zero length lines.
	* src/uk/me/parabola/imgfmt/app/labelenc/package.html,
	  src/uk/me/parabola/imgfmt/fs/package.html,
	  src/uk/me/parabola/imgfmt/package.html,
	  src/uk/me/parabola/mkgmap/main/package.html: Added and fixed
	  package level javadoc.

2007-06-17  steve

	* src/uk/me/parabola/imgfmt/app/Coord.java,
	  src/uk/me/parabola/imgfmt/app/LinePreparer.java: Comments and add
	  a toString method to Coord

2007-06-10  steve

	* Makefile, src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Tidy up and tweeking of
	  hardwired parameters.
	* Makefile, src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Had the wrong mask
	  for the level, so any level above 3 would mess things up.
	  
	  Now working with 5 levels. Time to make it configurable...
	* .: Tidied up the list of ignored files.
	* Makefile, src/uk/me/parabola/imgfmt/app/Subdivision.java: Merge
	  large file fixes in from stable branch.

2007-06-09  steve

	* src/uk/me/parabola/mkgmap/general/MapElement.java: Add some more
	  hardwired resolutions.

2007-06-07  steve

	* src/uk/me/parabola/imgfmt/sys/Directory.java: Increase number of
	  directory blocks.

2007-05-29  steve

	* src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java: Deleted file and
	  remove unused import

2007-05-13  steve

	* Makefile, resources/garmin_feature_list.csv,
	  resources/osm_garmin_map.csv, scripts/mk_map_table.py,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java: Input
	  files for feature_map.csv and program to create. Moved away from
	  the files in osmgarminmap, but garmin_feature_list.csv is a copy
	  of feature-list.csv from there.
	* resources/feature_map.csv: New feature map with many more entries
	  and fully sorted. Contributed by Roozbeh Pournader

2007-05-09  steve

	* Makefile, resources/feature_map.csv,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/OsmMapDataSource.java: Zoomability
	  now working for large maps eg London. Still basic, but now just
	  really a matter of tuning it up.

2007-03-29  steve

	* src/uk/me/parabola/imgfmt/app/BitWriter.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java: Zoomability now
	  working for large maps eg London. Still basic, but now just
	  really a matter of tuning it up.

2007-03-25  steve

	* src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapDataSource.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Working 'zoomable'
	  map. Very basic, you see exactly the same things at the lower
	  resolution levels as the higher ones.
	  
	  Its now just a simple matter of filtering what is wanted at each
	  level...
	* src/uk/me/parabola/imgfmt/app/InternalFiles.java,
	  src/uk/me/parabola/imgfmt/app/Polygon.java: Add some javadoc.

2007-03-24  steve

	* src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/mkgmap/general/LoadableMapDataSource.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapDataSource.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java: Split MapDataSource
	  to allow it to be implemented by MapArea
	* src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java: Keep track of
	  how many elements are at each resolution.
	* src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapPoint.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java: Pushed
	  bounding box code into line and polyline as it is not needed on
	  points.

2007-03-04  steve

	* src/uk/me/parabola/mkgmap/general/LevelFilter.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Level loop in place,
	  although it will not work if more than one level in there.
	* src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java: Split out
	  making top level subdivision.

2007-03-03  steve

	* ChangeLog, src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Merged back from branch.
	  - Use the ref tag where available - Works for large areas (really
	  this time). Both problems pointed out by Phillip Barnett.
	* Makefile, src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java: Options added
	  preparation for zoomability.

2007-02-10  steve

	* src/uk/me/parabola/mkgmap/osm/ReadOsm.java: Added space before
	  equals sign.

2007-02-08  steve

	* src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java,
	  src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/mkgmap/main/AbstractTestMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/Element.java: Removed a number of
	  the TODO's and removed some dead code.
	* src/uk/me/parabola/log/Logger.java: May as well remove concurrent
	  hash map it will then run with gcj. Its ten times slower though.

2007-02-07  steve

	* src/uk/me/parabola/imgfmt/FormatException.java,
	  src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/imgfmt/app/BitWriter.java,
	  src/uk/me/parabola/imgfmt/app/Coord.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/osm/Segment.java: Deleted a lot of
	  unused stuff, even if it would be good for debugging.

2007-02-06  steve

	* build.xml: Build problem
	* ChangeLog, README, build.xml: Final changes for release.
	* src/uk/me/parabola/imgfmt/sys/ImgFS.java: Fix annoying problem
	  where overwriting a bigger file leaves the new file unworkable,
	  even if it would be alright otherwise.
	* src/uk/me/parabola/mkgmap/general/MapArea.java: Keep the full
	  bounds of empty areas.
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java: Small tidy up.

2007-02-05  steve

	* Makefile: Just a makefile change
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java: Fixed bug in the write
	  strategy that I'd fixed before, but lost. It looks like the
	  location of the sub-file part is incorrect in the documentation,
	  although correct in the output of imgdecode. I modified Dirent so
	  that the results were good in imgdecode. It looks like the 0x3
	  needs to go *before* the part number in the 'special' dirent.

2007-02-04  steve

	* src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java: Allow
	  extra space, in case the name is just one funny character. Not
	  really sure about this, just happened that there was an error.
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java: Grow
	  the buffer for any size of file.
	* src/uk/me/parabola/imgfmt/sys/BlockManager.java,
	  src/uk/me/parabola/imgfmt/sys/BlockTable.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/imgfmt/sys/SysDirEntry.java,
	  src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java: Code tidy up.
	* src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: I discovered that debug
	  was really happening when it shouldn't, just not being written to
	  the file. The Coord.toString method was taking considerable time.
	  
	  Anyway now whole of london takes 7 seconds, down from 27 seconds.
	* Makefile,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/sys/BlockManager.java,
	  src/uk/me/parabola/imgfmt/sys/BlockTable.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/imgfmt/sys/SysDirEntry.java: Now working on
	  the Garmin for the whole of london.

2007-02-03  steve

	* src/uk/me/parabola/mkgmap/general/MapArea.java: Format long
	  argument list.
	* src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPointMap.java,
	  src/uk/me/parabola/mkgmap/main/TestAll.java: Tidy up with added
	  comments too.
	* src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapPoint.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java: Working fully
	  with large areas.

2007-02-02  steve

	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Apears to work in
	  QLandkarte anyway on the big file that will not fit into one
	  subdiv.

2007-01-31  steve

	* Makefile, src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java: The
	  basic area splitter is now done.

2007-01-22  steve

	* src/uk/me/parabola/imgfmt/app/Subdivision.java: May as well
	  uncomment the old methods, rather than create new ones ;)
	* src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/imgfmt/app/InternalFiles.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/MapObject.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/BaseEncoder.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/mkgmap/general/MapArea.java,
	  src/uk/me/parabola/mkgmap/general/MapSplitter.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLang10Map.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLangMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPointMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPolygonMap.java,
	  src/uk/me/parabola/mkgmap/osm/Element.java,
	  src/uk/me/parabola/mkgmap/osm/Node.java: Massive changes to
	  support multiple subdivisions. Many methods moved around into
	  more logical classes, so the code just looks better anyway.
	  
	  Program still works in spite of all the changes.

2007-01-21  steve

	* src/org: Get rid of empty directories.

2007-01-20  steve

	* src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Set the direction flag
	  properly now so that it goes into the map.
	* src/uk/me/parabola/mkgmap/general/MapDataSource.java,
	  src/uk/me/parabola/mkgmap/general/MapSource.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java: Rename MapSource to
	  MapDataSource to avoid confusion with garmin product
	* src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java,
	  src/uk/me/parabola/mkgmap/general/MapSource.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Comments etc while
	  thinking about changes to allow multiple divisions.
	* build.xml: Set target in build.xml to 1.5 to prevent requiring
	  1.6.

2007-01-19  steve

	* ChangeLog, README: Final changes for release.
	* src/uk/me/parabola/imgfmt/sys/Dirent.java: Logging message change
	* src/uk/me/parabola/mkgmap/main/CommandArgs.java: Added explicit
	  --latin1 option
	* src/uk/me/parabola/imgfmt/app/LBLFile.java: Make an explicit
	  --latin1 option

2007-01-16  steve

	* src/uk/me/parabola/imgfmt/app/labelenc/BaseEncoder.java: Null
	  terminate string in simple8 format.
	* Makefile, src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java: Found problem with
	  polygons not showing up. It would appear that the overview
	  sections have to be sorted by value. So sort them, and points and
	  lines for good measure too, as it may well be the same for them.
	* src/uk/me/parabola/log/Logger.java: Added a few comments

2007-01-14  steve

	* Makefile, src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/BaseEncoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/EncodedText.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Latin1Encoder.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLang10Map.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLangMap.java,
	  src/uk/me/parabola/mkgmap/main/TestAll.java,
	  src/uk/me/parabola/mkgmap/osm/Node.java,
	  src/uk/me/parabola/tdbfmt: Code cleanup
	* src/uk/me/parabola/imgfmt/app/labelenc,
	  src/uk/me/parabola/imgfmt/app/labelenc/BaseEncoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Bit10Encoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/CharacterEncoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/EncodedText.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Format6Encoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Latin1Encoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Latin2Encoder.java,
	  src/uk/me/parabola/imgfmt/app/labelenc/Simple8Encoder.java,
	  src/uk/me/parabola/mkgmap/main/TestAll.java: Basic i18n code
	  done. Now for testing it.
	* Makefile, src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/Label10.java,
	  src/uk/me/parabola/imgfmt/app/Label6.java,
	  src/uk/me/parabola/imgfmt/app/LabelLatin1.java,
	  src/uk/me/parabola/imgfmt/app/LabelLatin2.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLang10Map.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestLangMap.java,
	  src/uk/me/parabola/mkgmap/main/TestAll.java: Major surgury on the
	  label system, now that it is a bit clearer how
	  internationalisation might work.

2007-01-13  steve

	* src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/TestAll.java: Test run through
	  different scenarios. Keeps the code coverage up now that we are
	  adding options.

2007-01-10  steve

	* src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/Label10.java,
	  src/uk/me/parabola/imgfmt/app/Label6.java,
	  src/uk/me/parabola/imgfmt/app/LabelLatin1.java,
	  src/uk/me/parabola/imgfmt/app/LabelLatin2.java: Reorganise label
	  text so that we can deal with different languages.

2007-01-09  steve

	* build.xml: Make feature list get into the built jar.

2007-01-07  steve

	* ChangeLog: Change log updated
	* src/uk/me/parabola/mkgmap/main/MakeMap.java: ChangeLog updated.
	* README, resources/feature_map.csv,
	  src/uk/me/parabola/imgfmt/app/MapObject.java,
	  src/uk/me/parabola/mkgmap/main/package.html: Getting ready for a
	  release.
	* src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java: Fix
	  treatment of points. They now show up again.
	* src/uk/me/parabola/imgfmt/app/Point.java: Fix so that points are
	  now back on the map, rather than being located way away.
	* src/uk/me/parabola/imgfmt/app/Label.java: Allow numbers in a name
	  and experiment with 8bit encoding of labels.

2007-01-06  steve

	* src/uk/me/parabola/imgfmt/app/MapObject.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/main/AbstractTestMap.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPointMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPolygonMap.java,
	  src/uk/me/parabola/mkgmap/osm/Element.java,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java: Code
	  clean up.
	* src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/LinePreparer.java,
	  src/uk/me/parabola/imgfmt/app/MapObject.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Changes to add
	  clarity and fix low zoom rendering.

2007-01-02  steve

	* Makefile, resources/feature_map.csv, scripts/mk_map_table.py,
	  src/uk/me/parabola/mkgmap/main/AbstractTestMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPointMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestPolygonMap.java,
	  src/uk/me/parabola/mkgmap/osm/Element.java,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Code to create artificial
	  maps that shows all different polygon or node types. This will
	  allow us to complete the feature map.
	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/PointOverview.java,
	  src/uk/me/parabola/imgfmt/app/PolygonOverview.java,
	  src/uk/me/parabola/imgfmt/app/PolylineOverview.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapPoint.java,
	  src/uk/me/parabola/mkgmap/general/MapSource.java,
	  src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java: The overview section
	  is now generated completely from the elements that are actually
	  present in the map. Not much visible difference, but will mean
	  that all polygons show up once we add them to the features list
	  and all the POI categories will show up and none will be empty.

2007-01-01  steve

	* src/uk/me/parabola/mkgmap/main/MakeMap.java: Remove unused
	  varaibles.
	* src/uk/me/parabola/mkgmap/main/CommandArgs.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: We now have a
	  separate class to deal with the arguments. This is getting ready
	  for further changes, doesn't have much effect yet - except you
	  can finally change the mapname.
	* ChangeLog, Makefile: Group changelog entries by day instead
	* Makefile: The makefile I've been using for odds and ends.
	* ChangeLog: Re-paragraphed
	* src/uk/me/parabola/mkgmap/main/MakeMap.java: Moved adding of the
	  overview sections out of the routine to make the divisisions.
	  Both because it doesn't belong their and in preparation for
	  obtaining the overview from somewhere definitive.
	* ChangeLog: Added the changelog to the project.
	* src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/main/ExitException.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Minor cleanups.
	* build.xml, resources/feature_map.csv, scripts/mk_map_table.py,
	  src/uk/me/parabola/mkgmap/osm/FeatureListConverter.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java: The map featues
	  are now driven by a file. As it turns out though the OSMGarminMap
	  list of features doesn't contain all the features I was already
	  using.

2006-12-31  steve

	* README: Updated readme for release.
	* src/uk/me/parabola/mkgmap/main/MakeMap.java: If the map info is
	  going to display as the map name, then lets just put the map name
	  there.
	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/MapObject.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/fs/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java,
	  src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapShape.java,
	  src/uk/me/parabola/mkgmap/main/ExitException.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Big code clean up.
	* src/uk/me/parabola/log/Logger.java: Simple logger.

2006-12-30  steve

	* src/uk/me/parabola/imgfmt/app/LinePreparer.java: Fixed bug where
	  base goes over 9. Able to remove a couple of fields as a result.
	* src/uk/me/parabola/log/Logger.java: Implemented a bit of logging.
	  Will need to be made conditional.
	* src/uk/me/parabola/mkgmap/osm/Way.java: Fixed the segment
	  ordering bug.
	* src/uk/me/parabola/mkgmap/osm/Element.java: Check for null on
	  get.
	* src/uk/me/parabola/mkgmap/osm/Element.java: No tag saved for
	  created_by and don't create the hashmap if it is not needed.
	* LICENCE.log4j, build.xml, external.properties,
	  resources/MANIFEST.MF, resources/log4j-dist.properties,
	  resources/log4j.properties, src/org, src/org/apache,
	  src/org/apache/log4j,
	  src/uk/me/parabola/imgfmt/app/BitWriter.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/LinePreparer.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/fs/package.html,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java,
	  src/uk/me/parabola/log, src/uk/me/parabola/log/Logger.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Removed log4j dependancy.
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/LinePreparer.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/Polygon.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/mkgmap/general/MapCollector.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapPoint.java,
	  src/uk/me/parabola/mkgmap/general/MapSource.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/osm/Element.java,
	  src/uk/me/parabola/mkgmap/osm/Node.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java,
	  src/uk/me/parabola/mkgmap/osm/Segment.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Mostly a white space
	  change. Have been experimenting with getting the map description
	  to display instead of the map info as the map name.
	* src/uk/me/parabola/imgfmt/app/Label.java: Added many special
	  characters to the translation.
	* src/uk/me/parabola/mkgmap/main/MakeMap.java: Fix inconsistant
	  indentation

2006-12-29  steve

	* ., doc, scripts, scripts/checksum.py, scripts/imgfile.py,
	  scripts/munger.py, scripts/namesum.py: added scripts directory
	  for python scripts plus doc base directory. Added more to
	  svn:ignore
	* src/uk/me/parabola/mkgmap/osm/Segment.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Comments toString method.
	  Stuff like that.

2006-12-28  steve

	* src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/CodedConverter.java: adding new
	  features.
	* src/uk/me/parabola/imgfmt/FormatException.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/mkgmap/FormatException.java,
	  src/uk/me/parabola/mkgmap/general/MapSource.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java: Move FormatException
	  to its correct package. Prevents a dependancy loop

2006-12-27  steve

	* README: Update the readme file a bit for the release
	* README, src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/CodedConverter.java: Added some
	  cool features, rail, woods, water. Made them show up by adding to
	  overview sections where necessary.
	* src/uk/me/parabola/mkgmap/osm/Way.java: Bug fix to make the
	  spliting into separate lines work better without breaking into
	  all 1 segment lengths.
	  
	  This will all be re-written though soon.
	* src/uk/me/parabola/imgfmt/app/Label.java: fix compilation.
	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/fs/FSOps.java,
	  src/uk/me/parabola/imgfmt/fs/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFS.java: Changed names of FSOps
	  and FileSystem.

2006-12-26  steve

	* src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/LinePreparer.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/Node.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java: Code tidy up
	  after adding points.
	* src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/LinePreparer.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/mkgmap/general/MapCollector.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/general/MapElement.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapPoint.java,
	  src/uk/me/parabola/mkgmap/general/MapSource.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/osm/Element.java,
	  src/uk/me/parabola/mkgmap/osm/Node.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java,
	  src/uk/me/parabola/mkgmap/osm/Segment.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java,
	  src/uk/me/parabola/mkgmap/osm/package.html: Add points to the
	  map. Working.

2006-12-24  steve

	* src/uk/me/parabola/mkgmap/osm/CodedConverter.java: Added a few
	  more feature conversions. Used the osmgarminmap feature list.
	* src/uk/me/parabola/imgfmt/app/LinePreparer.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java: Separated out the
	  line preparation code into its own top level class

2006-12-23  steve

	* src/uk/me/parabola/imgfmt/app/Subdivision.java: put shift into
	  constructor and remove unused getters.
	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java: Code tidy
	* src/uk/me/parabola/imgfmt/app/Polyline.java: Fix for negative
	  number of bits.
	* .: Ignore more junk in top directory
	* src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java: Problem with the
	  devision pointers needed the header size taken off too. Now
	  polygons work.
	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/fs/FSOps.java,
	  src/uk/me/parabola/imgfmt/sys/BlockManager.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/mkgmap/osm/CodedConverter.java: Code clean up.
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/WriteStrategy.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/osm/CodedConverter.java: Important fix
	  to get the size of the files correct. Needed as unit reads to the
	  end of the file and we don't want to read a bung of zeros.
	  
	  Polygons draw (but no colouring or identification) but cause all
	  the lines to have no information associated with them. When you
	  hover over there is no 'tooltip' or when you click it just says
	  there is nothing there.
	* src/uk/me/parabola/mkgmap/main/MakeMap.java: Fix imports to not
	  use *
	* resources/log4j.properties,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/mkgmap/general/MapCollector.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/general/MapShape.java,
	  src/uk/me/parabola/mkgmap/general/MapSource.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java: Code for adding
	  polygons is in. Doesn't work if you enable the polygons but
	  regression test is fine if they are not enabled.

2006-12-22  steve

	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/Polygon.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java: restructured
	  ready for adding points and polygons. Now the Map class is the
	  center of all activity. There is no need to leak the TRE,LBL and
	  RGN files outside of the Map class.

2006-12-21  steve

	* LICENCE, build.xml: Add GPL
	* README, build.xml: Made a half decent README.
	* build.xml, resources/log4j-dist.properties,
	  resources/log4j.properties: Changed logfile and jar names to be
	  consistant with project name
	* build.xml: Build a usable dist directory.
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/mkgmap/FormatException.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Some documentation
	  additions and changed format exception to runtime
	* src/uk/me/parabola/mkgmap/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/osm/OsmConverter.java: Don't need to be
	  public.
	* LICENCE.log4j: add licence for log4j.
	* resources/log4j-dist.properties: added

2006-12-20  steve

	* README, build.xml, resources/MANIFEST.MF,
	  src/uk/me/parabola/imgfmt/app/package.html,
	  src/uk/me/parabola/imgfmt/fs/package.html,
	  src/uk/me/parabola/imgfmt/sys/package.html,
	  src/uk/me/parabola/mkgmap/general/package.html,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/package.html: Fix up build, javadoc
	  etc for release.
	* src/uk/me/parabola/imgfmt/app/BitWriter.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java: Placed
	  isDebugEnabled around some of the frequent messages.
	* src/uk/me/parabola/mkgmap/osm/CodedConverter.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/OsmConverter.java: Prepare for a
	  converter that is not hard coded. Plus added a few road types.
	* src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/OsmConverter.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java: Separate out the
	  conversion to a separate class.
	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/fs/FSOps.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Code tidy up.
	* src/uk/me/parabola/mkgmap/general/MapCollector.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapSource.java,
	  src/uk/me/parabola/mkgmap/general/package.html,
	  src/uk/me/parabola/mkgmap/osm/package.html: Documentation and
	  cleanup.
	* src/uk/me/parabola/mkgmap/osm/ReadOsm.java: Map source is now the
	  source of the copyright message to display.
	* src/uk/me/parabola/mkgmap/main/MakeTestMap.java: Fix the test
	  program too.
	* src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/mkgmap/MapCollector.java,
	  src/uk/me/parabola/mkgmap/MapDetails.java,
	  src/uk/me/parabola/mkgmap/MapLine.java,
	  src/uk/me/parabola/mkgmap/MapSource.java,
	  src/uk/me/parabola/mkgmap/general,
	  src/uk/me/parabola/mkgmap/general/MapCollector.java,
	  src/uk/me/parabola/mkgmap/general/MapDetails.java,
	  src/uk/me/parabola/mkgmap/general/MapLine.java,
	  src/uk/me/parabola/mkgmap/general/MapSource.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java: Improved the
	  design by making clear what the collector actually is. It is just
	  part of the generic map handling.
	* src/uk/me/parabola/mkgmap/main/ExitException.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java: Use exception for
	  errors leading to exit of the progrm
	* src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/imgfmt/app/BitWriter.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Coord.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/imgfmt/fs/FSOps.java,
	  src/uk/me/parabola/imgfmt/fs/ImgChannel.java,
	  src/uk/me/parabola/imgfmt/sys/BlockManager.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java,
	  src/uk/me/parabola/mkgmap/Filter.java,
	  src/uk/me/parabola/mkgmap/Highway.java,
	  src/uk/me/parabola/mkgmap/MapCallbacks.java,
	  src/uk/me/parabola/mkgmap/MapCollector.java,
	  src/uk/me/parabola/mkgmap/MapData.java,
	  src/uk/me/parabola/mkgmap/MapDetail.java,
	  src/uk/me/parabola/mkgmap/MapDetails.java,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java,
	  src/uk/me/parabola/mkgmap/osm/Segment.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Big cleanup of the code.

2006-12-19  steve

	* src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/Segment.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Some attempt to fix up
	  mis-ordered segments. Pretty good and usable map results.
	  
	  Before the big cleanup.
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Coord.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java,
	  src/uk/me/parabola/mkgmap/Filter.java,
	  src/uk/me/parabola/mkgmap/FormatException.java,
	  src/uk/me/parabola/mkgmap/Highway.java,
	  src/uk/me/parabola/mkgmap/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/MapCallbacks.java,
	  src/uk/me/parabola/mkgmap/MapCollector.java,
	  src/uk/me/parabola/mkgmap/MapData.java,
	  src/uk/me/parabola/mkgmap/MapDetail.java,
	  src/uk/me/parabola/mkgmap/MapDetails.java,
	  src/uk/me/parabola/mkgmap/MapLine.java,
	  src/uk/me/parabola/mkgmap/MapSource.java,
	  src/uk/me/parabola/mkgmap/main,
	  src/uk/me/parabola/mkgmap/main/MakeMap.java,
	  src/uk/me/parabola/mkgmap/main/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/osm/OSMXmlHandler.java,
	  src/uk/me/parabola/mkgmap/osm/ReadOsm.java,
	  src/uk/me/parabola/mkgmap/osm/Segment.java,
	  src/uk/me/parabola/mkgmap/osm/Way.java: Fixed case where all the
	  same sign quantities should be saved as positive and not as twos
	  compliment.
	  
	  Map now works. Remaining problems appear to be in unordered
	  segments in the source.

2006-12-18  steve

	* src/uk/me/parabola/imgfmt/app/TREFile.java: Remove hacky, not
	  understood, flags section.
	* src/uk/me/parabola/mkgmap/MakeTestMap.java: This is part of the
	  working map generating.
	* src/uk/me/parabola/imgfmt/app/TREFile.java: Finally working with
	  the short TRE header length. We should now be able to use any
	  name.
	* src/uk/me/parabola/imgfmt/Utils.java: Fix byte ordering and
	  subtrace 1900 from the year in the common header date. If the
	  high bits are set in the date field the map does not load.

2006-12-17  steve

	* .: More ignored directories.
	* src/uk/me/parabola/imgfmt/app/Polyline.java: Use lon instead of
	  lng

2006-12-16  steve

	* src/uk/me/parabola/mkgmap,
	  src/uk/me/parabola/mkgmap/MakeTestMap.java,
	  src/uk/me/parabola/mkgmap/MapSource.java,
	  src/uk/me/parabola/mkgmap/img, src/uk/me/parabola/mkgmap/osm,
	  src/uk/me/parabola/mkosmgmap: Package moved.
	* src/uk/me/parabola/mkosmgmap/osm,
	  src/uk/me/parabola/mkosmgmap/osm/ReadOsm.java: Added the osm
	  directory.
	* src/uk/me/parabola/mkosmgmap/MakeTestMap.java: And indeed lets
	  add the code to make the test map.
	* src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app/BitWriter.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/fs/ImgChannel.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/mkosmgmap/MapSource.java,
	  src/uk/me/parabola/mkosmgmap/img,
	  src/uk/me/parabola/mkosmgmap/osm: Working test map with streets
	  that test various features of the code.

2006-12-12  steve

	* src/uk/me/parabola/imgfmt/app/Polyline.java: Saving work as this
	  is a complicated bit and may not work on it for a while.
	* src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app/Area.java,
	  src/uk/me/parabola/imgfmt/app/Bounds.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Coord.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/MapObject.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/Writable.java,
	  src/uk/me/parabola/imgfmt/app/WriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/imgfmt/fs/package.html,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/imgfmt/sys/package.html: Started on polylines.
	  General javadoc rampage.

2006-12-11  steve

	* README, resources/log4j.properties,
	  src/uk/me/parabola/imgfmt/app/Coord.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/Polyline.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java: Working but empty
	  map. worked with points, but I am now going on to lines to get
	  roads.
	* src/uk/me/parabola/imgfmt/app/Label.java: Fix the end of label
	  marker/length. Before labels that were a multiple of 4 bytes were
	  not ended.

2006-12-10  steve

	* src/uk/me/parabola/imgfmt/app/Bounds.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/Point.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/WriteStrategy.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java: Oh well still not
	  recognised. I've padded out the last block to be a full block. No
	  go.

2006-12-09  steve

	* src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/Overview.java,
	  src/uk/me/parabola/imgfmt/app/Subdivion.java,
	  src/uk/me/parabola/imgfmt/app/Subdivision.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/Writable.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java: Interesting point,
	  getting very close to having a 'complete' map, but still no joy
	  in getting my unit to recognise it.
	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/WriteStrategy.java: Got a label
	  referenced from the copyright section of the TRE header.
	* src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Label.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/WriteStrategy.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFile.java: Its all a bit neater
	  now.

2006-12-07  steve

	* src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/WriteStrategy.java: Somewhat more
	  works now.
	* src/uk/me/parabola/imgfmt/app/Bounds.java,
	  src/uk/me/parabola/imgfmt/app/BufferedWriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/Subdivion.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/WriteStrategy.java,
	  src/uk/me/parabola/imgfmt/app/Zoom.java,
	  src/uk/me/parabola/imgfmt/fs/ImgChannel.java: Got some zoom and
	  subdivision classes Working on a write strategy to start with.
	  Not in a working state.

2006-12-05  steve

	* src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java: Something reasonable
	  is now written into all the headers. No data at all whatsoever.

2006-12-03  steve

	* src/uk/me/parabola/imgfmt/Utils.java,
	  src/uk/me/parabola/imgfmt/app,
	  src/uk/me/parabola/imgfmt/app/ImgFile.java,
	  src/uk/me/parabola/imgfmt/app/LBLFile.java,
	  src/uk/me/parabola/imgfmt/app/Map.java,
	  src/uk/me/parabola/imgfmt/app/RGNFile.java,
	  src/uk/me/parabola/imgfmt/app/TREFile.java,
	  src/uk/me/parabola/imgfmt/app/package.html,
	  src/uk/me/parabola/imgfmt/fs/ImgChannel.java,
	  src/uk/me/parabola/imgfmt/sys/BlockAllocator.java,
	  src/uk/me/parabola/imgfmt/sys/BlockManager.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java: Got some kind of
	  common headers being written out.
	* src/uk/me/parabola/imgfmt/FileExistsException.java,
	  src/uk/me/parabola/imgfmt/FileSystemParam.java,
	  src/uk/me/parabola/imgfmt/fs/FSOps.java,
	  src/uk/me/parabola/imgfmt/sys/BlockAllocator.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/DirectoryEntryImpl.java,
	  src/uk/me/parabola/imgfmt/sys/Dirent.java,
	  src/uk/me/parabola/imgfmt/sys/FileNode.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystemParam.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java: Can create files.

2006-12-02  steve

	* resources/log4j.properties,
	  src/uk/me/parabola/imgfmt/fs/FSOps.java,
	  src/uk/me/parabola/imgfmt/fs/FileChannel.java,
	  src/uk/me/parabola/imgfmt/fs/ImgChannel.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/DirectoryEntryImpl.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystemParam.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java: Pretty much the
	  basic structure there for directory entries.
	* src/uk/me/parabola/imgfmt/fs/DirectoryEntry.java,
	  src/uk/me/parabola/imgfmt/fs/FSOps.java,
	  src/uk/me/parabola/imgfmt/fs/FileChannel.java,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/DirectoryEntry.java,
	  src/uk/me/parabola/imgfmt/sys/DirectoryEntryImpl.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFile.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java: Getting the
	  interface structure better.
	* src/uk/me/parabola/imgfmt, src/uk/me/parabola/imgfmt/fs,
	  src/uk/me/parabola/imgfmt/sys,
	  src/uk/me/parabola/imgfmt/sys/Directory.java,
	  src/uk/me/parabola/imgfmt/sys/DirectoryEntry.java,
	  src/uk/me/parabola/imgfmt/sys/FileSystem.java,
	  src/uk/me/parabola/imgfmt/sys/ImgFile.java,
	  src/uk/me/parabola/imgfmt/sys/ImgHeader.java: Files really added
	  to new location this time
	* src/uk/me/parabola/mkosmgmap/img/Directory.java,
	  src/uk/me/parabola/mkosmgmap/img/DirectoryEntry.java,
	  src/uk/me/parabola/mkosmgmap/img/FileSystem.java,
	  src/uk/me/parabola/mkosmgmap/img/ImgFile.java,
	  src/uk/me/parabola/mkosmgmap/img/ImgHeader.java: Files moved to
	  new imgfmt sub-packages.

2006-11-30  steve

	* src/uk/me/parabola/mkosmgmap/img/ImgHeader.java: Corrected
	  'number of sectors'
	* src/uk/me/parabola/mkosmgmap/img/Directory.java,
	  src/uk/me/parabola/mkosmgmap/img/DirectoryEntry.java,
	  src/uk/me/parabola/mkosmgmap/img/FileSystem.java,
	  src/uk/me/parabola/mkosmgmap/img/ImgHeader.java: Header finished,
	  starting on the directory.

2006-11-28  steve

	* build.xml, src/uk/me/parabola/mkosmgmap/img/Directory.java,
	  src/uk/me/parabola/mkosmgmap/img/FAT.java,
	  src/uk/me/parabola/mkosmgmap/img/FileSystem.java,
	  src/uk/me/parabola/mkosmgmap/img/ImgHeader.java,
	  src/uk/me/parabola/mkosmgmap/img/PartitionTable.java: progress on
	  the header.

2006-11-26  steve

	* ., README, build.xml, external.properties, resources,
	  resources/log4j.properties, src, src/uk, src/uk/me,
	  src/uk/me/parabola, src/uk/me/parabola/mkosmgmap,
	  src/uk/me/parabola/mkosmgmap/img,
	  src/uk/me/parabola/mkosmgmap/img/FAT.java,
	  src/uk/me/parabola/mkosmgmap/img/FileSystem.java,
	  src/uk/me/parabola/mkosmgmap/img/ImgFile.java,
	  src/uk/me/parabola/mkosmgmap/img/ImgHeader.java,
	  src/uk/me/parabola/mkosmgmap/img/PartitionTable.java,
	  src/uk/me/parabola/mkosmgmap/osm: Initial checkin. Mostly empty
	  files. Structure set up and ant file works.
	* branches, releases, tags, .: Created mkosmgmap project

